Bug 126715 - Crash after fresh startup and selecting mail
Summary: Crash after fresh startup and selecting mail
Status: CLOSED INTENTIONAL
Alias: None
Product: kmail
Classification: Unclassified
Component: IMAP (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash with 337 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 107914 112128 127499 127895 128619 128743 128806 129005 129649 130080 130307 131086 131439 132051 132054 132156 132680 133225 133333 136591 136793 137792 139417 139541 139807 139848 139850 140225 140992 141217 142678 143002 143388 143405 144565 144865 149381 160149 167406 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-05-04 10:39 UTC by Michael Seiwert
Modified: 2012-08-20 22:12 UTC (History)
48 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
valgrind log (70.39 KB, text/x-csrc)
2006-08-16 21:16 UTC, Michael Seiwert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Seiwert 2006-05-04 10:39:39 UTC
Version:           3_5_BRANCH  (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc version 3.3.5 20050117 (prerelease) (SUSE Linux)
 
OS:                Linux

This crash happend after a fresh build of kdepim 3_5_branch (04 May 2006). I selected a mail in the mail header view afterwards kmail was getting slower and slower until it was frozen. The application recovered from this state and then crashed.
Comment 1 Michael Seiwert 2006-05-04 10:40:10 UTC
Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 1114160608 (LWP 26179)]
[New Thread 1128467376 (LWP 26184)]
[Thread debugging using libthread_db enabled]
[New Thread 1114160608 (LWP 26179)]
[New Thread 1128467376 (LWP 26184)]
[Thread debugging using libthread_db enabled]
[New Thread 1114160608 (LWP 26179)]
[New Thread 1128467376 (LWP 26184)]
[New Thread 1126366128 (LWP 26183)]
[New Thread 1124264880 (LWP 26182)]
[New Thread 1122163632 (LWP 26181)]
[KCrash handler]
#9  0x6970696b in ?? ()
#10 0x403d7a1c in KMail::ImapJob::slotGetNextMessage (this=0x98e43a8)
    at imapjob.cpp:279
#11 0x403d6ddd in KMail::ImapJob::init (this=0x98e43a8, jt=tGetMessage, sets=
      {static null = {static null = <same as static member of an already seen type>, d = 0x804f0c0, static shared_null = 0x804f0c0}, d = 0x8941620, static shared_null = 0x804f0c0}, folder=0x0, msgList=@0x98e43d0) at imapjob.cpp:216
#12 0x403d93eb in KMail::ImapJob::execute (this=0x98e43a8) at imapjob.cpp:646
#13 0x403cf92a in KMail::FolderJob::start (this=0x98e43a8) at folderjob.cpp:109
#14 0x403bbe50 in KMMainWidget::slotMsgSelected (this=0x8060770, msg=0x98e2fb0)
    at kmmainwidget.cpp:1898
#15 0x403b22ee in KMMainWidget::qt_invoke (this=0x8060770, _id=55, 
    _o=0xbfffdf30) at kmmainwidget.moc:479
#16 0x41d6f7de in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#17 0x4027c86e in KMHeaders::selected (this=0x8297108, t0=0x98e2fb0)
    at kmheaders.moc:250
#18 0x40276370 in KMHeaders::highlightMessage (this=0x8297108, lvi=0x981d580, 
    markitread=false) at kmheaders.cpp:2013
#19 0x402771fd in KMHeaders::highlightMessage (this=0x8297108, i=0x981d580)
    at kmheaders.cpp:2262
#20 0x4027cbc2 in KMHeaders::qt_invoke (this=0x8297108, _id=107, _o=0xbfffe090)
    at kmheaders.moc:295
#21 0x41d6f7de in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0x420dc315 in QListView::currentChanged ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0x41e5ae15 in QListView::setCurrentItem ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0x41e5dd72 in QListView::contentsMousePressEventEx ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0x41e5e884 in QListView::contentsMousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x4171c503 in KListView::contentsMousePressEvent ()
   from /opt/kde35/lib/libkdeui.so.4
#27 0x40276ab9 in KMHeaders::contentsMousePressEvent (this=0x8297108, 
    e=0xbfffe390) at kmheaders.cpp:2174
#28 0x41e8f318 in QScrollView::viewportMousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x41e90688 in QScrollView::eventFilter ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0x41e5e8f8 in QListView::eventFilter () from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0x4026e6a5 in KMHeaders::eventFilter (this=0x8297108, o=0x82c9c08, 
    e=0xbfffe980) at kmheaders.cpp:240
#32 0x41d7007e in QObject::activate_filters ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0x41d70160 in QObject::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0x41da59ec in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0x41d0c3ff in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0x41d0e71e in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#37 0x4199baba in KApplication::notify () from /opt/kde35/lib/libkdecore.so.4
#38 0x41ca8fb2 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#39 0x41ca7e6d in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0x41cb89e8 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#41 0x41d24231 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#42 0x41d24076 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#43 0x41d0deaf in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#44 0x0804aac3 in main (argc=7, argv=0xbffff104)
    at /home/mseiwert/src/svn/kde35/branches/KDE/3.5/kdepim/kmail/main.cpp:110
Comment 2 Michael Seiwert 2006-05-04 10:44:35 UTC
could be related/duplicate of bug 125723
Comment 3 Allen Winter 2006-05-04 15:25:15 UTC
Michael,

Till and I both made changes to that KMail::ImapJob::slotGetNextMessage() method in imapjob.cpp yesterday.  Question is: did you compile before
or after I made a slight change to Till's patch?

So, please let me know if line 279 in file kdepim/kmail/imapjob.cpp is
   if ( !msg || msg->UID() == 0 || !msgParent )

If no, you'll need to recompile and test Kmail again.
If yes, then we need to do more bugfixing.
Comment 4 Michael Seiwert 2006-05-04 18:12:30 UTC
I did a fresh checkout of kdepim module including your changes (svn-commit 537142) this morning (08:00 am German time). So I think there has to be more bugfixing. Since Till's changes to KMail::ImapJob::slotGetNextMessage() there were no crashes until now. Not that you wonder, I've two versions of kmail running, one at work and one at home :-) Thank you for working on this issue !!!

Very best regards

Michael 
Comment 5 Ismail Onur Filiz 2006-05-05 09:10:34 UTC

*** This bug has been marked as a duplicate of 125723 ***
Comment 6 Andre Woebbeking 2006-05-05 11:05:30 UTC
I had this crash yesterday evening (fresh build) but I thing that I had it already some weeks ago.
Comment 7 Allen Winter 2006-05-07 17:51:40 UTC
does this crash still happen?  I committed a change suggested by Till the other day so I'd like to know if it helps or not.
Comment 8 Michael Seiwert 2006-05-07 19:25:28 UTC
no, it doesn't seem to crash anymore. In case it will crash again I'll reopen it. Thanks for your great kdepim work !
Comment 9 Andre Woebbeking 2006-05-09 23:26:02 UTC
Today it crashed again. I recompiled kdepim Sunday evening.

#6  0x00002b9c3dc61355 in KMail::ImapJob::slotGetNextMessage (this=0x18c0ab0)
    at /Devel/src/kde/kdepim/kmail/imapjob.cpp:279
#7  0x00002b9c3dc6234b in KMail::ImapJob::init (this=0x18c0ab0, 
    jt=KMail::FolderJob::tGetMessage, sets=@0x7fffffe72320, folder=0x0, 
    msgList=@0x18c0b00) at /Devel/src/kde/kdepim/kmail/imapjob.cpp:216
#8  0x00002b9c3dc6241b in KMail::ImapJob::execute (this=0x18c0ab0)
    at /Devel/src/kde/kdepim/kmail/imapjob.cpp:647
#9  0x00002b9c3dc414ce in KMMainWidget::slotMsgSelected (this=0x10b5430, 
    msg=0x15d2aa0) at /Devel/src/kde/kdepim/kmail/kmmainwidget.cpp:1898
#10 0x00002b9c3dc4c067 in KMMainWidget::qt_invoke (this=0x10b5430, _id=54, 
    _o=0x7fffffe72440) at kmmainwidget.moc:479
#11 0x00002b9c38f0c5e8 in QObject::activate_signal (this=0x10c2890, 
    clist=<value optimized out>, o=0x7fffffe72440) at kernel/qobject.cpp:2356
#12 0x00002b9c3db02087 in KMHeaders::selected (this=0x10c2890, t0=0x15d2aa0)
    at kmheaders.moc:250
#13 0x00002b9c3db0228d in KMHeaders::highlightMessage (this=0x10c2890, 
    lvi=<value optimized out>, markitread=false)
    at /Devel/src/kde/kdepim/kmail/kmheaders.cpp:2013
#14 0x00002b9c3db0bcc4 in KMHeaders::qt_invoke (this=0x10c2890, _id=106, 
    _o=0x7fffffe725b0) at kmheaders.moc:295
#15 0x00002b9c38f0c5e8 in QObject::activate_signal (this=0x10c2890, 
    clist=<value optimized out>, o=0x7fffffe725b0) at kernel/qobject.cpp:2356
#16 0x00002b9c391f7b5e in QListView::currentChanged (
    this=<value optimized out>, t0=0x17efde0)
    at .moc/release-shared-mt/moc_qlistview.cpp:328
#17 0x00002b9c3db0088a in KMHeaders::selectNextMessage (this=0x10c2890)
    at /Devel/src/kde/kdepim/kmail/kmheaders.cpp:1720
Comment 10 Michael Seiwert 2006-05-12 20:21:14 UTC
Now it crashed also for me again. And it crashed immediately after I selected a mail while kmail was untouched for a longer timeperiod (>60min). Same symtoms as at the first time I reported the bug. BT is the same as Andres so I won't post. So I think further fixing is needed. Best regards Michael  
Comment 11 Allen Winter 2006-05-12 20:26:21 UTC
Ok, I'm stumped -- so I'm reassigning to kmail-devel in the hopes that one of our experts has some time to take a look.
Comment 12 Michael Seiwert 2006-05-24 17:09:45 UTC
Slightly other bt. Before kmail crashed it marked some messages from red to blue and back to red, then it got slower and slower till it finally crashed. 

#9  0xe804ec83 in ?? ()
#10 0x40208111 in KMMessage::fromDwString (this=0x9bd79a0, str=@0xbfffdf40, 
    aSetStatus=false) at kmmessage.cpp:396
#11 0x40208056 in KMMessage::fromByteArray (this=0x9bd79a0, ba=@0x8cae43c, 
    setStatus=false) at kmmessage.cpp:387
#12 0x403d8455 in KMail::ImapJob::slotGetMessageResult (this=0x9bd76d0, 
    job=0x923a7f8) at imapjob.cpp:403
#13 0x403d9766 in KMail::ImapJob::qt_invoke (this=0x9bd76d0, _id=2, 
    _o=0xbfffe0a0) at imapjob.moc:126
#14 0x41d707de in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#15 0x4130e51c in KIO::Job::result () from /opt/kde35/lib/libkio.so.4
#16 0x41367249 in KIO::Job::emitResult () from /opt/kde35/lib/libkio.so.4
Comment 13 Ingo Klöcker 2006-05-27 18:25:34 UTC
Fixed by SVN commit 545471.
Comment 14 Ingo Klöcker 2006-05-27 18:25:48 UTC
*** Bug 127499 has been marked as a duplicate of this bug. ***
Comment 15 Ingo Klöcker 2006-05-27 18:26:01 UTC
*** Bug 127895 has been marked as a duplicate of this bug. ***
Comment 16 Michael Seiwert 2006-05-28 08:52:24 UTC
This morning it crashed again. Because BT looks the same as the last times I'm only attaching the first lines.

#6  0x206e6920 in ?? ()
#7  0xb7c40153 in KMail::ImapJob::slotGetNextMessage (this=0x887a530)
    at ./kmail/imapjob.cpp:279
#8  0xb7d5a4a3 in KMail::ImapJob::init (this=0x887a530, 
    jt=KMail::FolderJob::tGetMessage, sets=@0xbf9f0930, folder=0x0, 
    msgList=@0x887a558) at ./kmail/imapjob.cpp:216
#9  0xb7d5a567 in KMail::ImapJob::execute (this=0x887a530)
    at ./kmail/imapjob.cpp:647
#10 0xb7b46b53 in KMail::FolderJob::start (this=0x887a530)
    at ./kmail/folderjob.cpp:109
#11 0xb7ce3733 in KMMainWidget::slotMsgSelected (this=0x80606c0, msg=0x8416850)
    at ./kmail/kmmainwidget.cpp:1898
#12 0xb7dd1462 in KMMainWidget::qt_invoke (this=0x80606c0, _id=55, 
    _o=0xbf9f0a28) at ./kmail/kmmainwidget.moc:479
#13 0xb5f16b5d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#14 0xb7c1bc28 in KMHeaders::selected (this=0x82bd6c0, t0=0x8416850)
    at ./kmail/kmheaders.moc:250
#15 0xb7d18c11 in KMHeaders::highlightMessage (this=0x82bd6c0, lvi=0x87429c8, 
    markitread=false) at ./kmail/kmheaders.cpp:2013
#16 0xb7d1b250 in KMHeaders::highlightMessage (this=0x82bd6c0, i=0x87429c8)
    at ./kmail/kmheaders.cpp:2262
#17 0xb7d21a95 in KMHeaders::qt_invoke (this=0x82bd6c0, _id=107, _o=0xbf9f0b64)

Comment 17 Michael Seiwert 2006-06-04 15:26:46 UTC
*** Bug 128619 has been marked as a duplicate of this bug. ***
Comment 18 Michael Seiwert 2006-06-07 19:00:48 UTC
*** Bug 128743 has been marked as a duplicate of this bug. ***
Comment 19 Michael Seiwert 2006-06-08 06:57:03 UTC
*** Bug 128806 has been marked as a duplicate of this bug. ***
Comment 20 Rolf Eike Beer 2006-06-08 10:34:41 UTC
Here is a different backtrace, I was trying to delete mail from an IMAP folder. I don't know if this is somehow related or should be it's own bug.

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 1106140960 (LWP 28507)]
[New Thread 1128004528 (LWP 28511)]
[Thread debugging using libthread_db enabled]
[New Thread 1106140960 (LWP 28507)]
[New Thread 1128004528 (LWP 28511)]
[Thread debugging using libthread_db enabled]
[New Thread 1106140960 (LWP 28507)]
[New Thread 1128004528 (LWP 28511)]
[New Thread 1125903280 (LWP 28510)]
[New Thread 1123802032 (LWP 28509)]
[New Thread 1121700784 (LWP 28508)]
[KCrash handler]
#9  0x41589908 in vtable for QPixmap () from /usr/lib/qt3/lib/libqt-mt.so.3
#10 0x08cb39d8 in ?? ()
#11 0x429b43eb in typeinfo name for QMemArray<char const*> ()
   from /opt/kde3/lib/libkmailprivate.so
#12 0x09b1b308 in ?? ()
#13 0x08c260c0 in ?? ()
#14 0x0806b19c in static_QUType_QString ()
#15 0x00000001 in ?? ()
#16 0x00000000 in ?? ()
#17 0x4178cac8 in __libc_ptyname1 () from /lib/tls/libc.so.6
#18 0x416e36cb in free () from /lib/tls/libc.so.6
#19 0x4289cb54 in KMCommand::slotPostTransfer (this=0x9b1b308, 
    result=147536344)
    at /usr/src/packages/BUILD/kdepim-3.5.3/kmail/kmcommands.cpp:255
#20 0x4289cd77 in KMCommand::qt_invoke (this=0x9b1b308, _id=5, _o=0xbfffe680)
    at qucom_p.h:316
#21 0x4289d21b in KMMenuCommand::qt_invoke (this=0x42891624, _id=1116280356, 
    _o=0x42891624) at kmcommands.moc:2436
#22 0x4289d281 in KMMoveCommand::qt_invoke (this=0x9b1b308, _id=5, 
    _o=0xbfffe680) at kmcommands.moc:2619
#23 0x4289d31b in KMDeleteMsgCommand::qt_invoke (this=0x42891624, 
    _id=1116280356, _o=0x42891624) at kmcommands.moc:2694
#24 0x4112425e in QObject::activate_signal (this=0x9b1b308, clist=0x86e2f68, 
    o=0xbfffe680) at qconnection.h:56
#25 0x42888a52 in KMCommand::messagesTransfered (this=0x9b1b308, t0=OK)
    at kmcommands.moc:126
#26 0x4289c62a in KMCommand::transferSelectedMsgs (this=0x9b1b308)
    at /usr/src/packages/BUILD/kdepim-3.5.3/kmail/kmcommands.cpp:276
#27 0x4289cc37 in KMCommand::slotStart (this=0x9b1b308)
    at /usr/src/packages/BUILD/kdepim-3.5.3/kmail/kmcommands.cpp:247
#28 0x4289cd84 in KMCommand::qt_invoke (this=0x9b1b308, _id=4, _o=0xbfffe8a0)
    at kmcommands.moc:147
#29 0x4289d21b in KMMenuCommand::qt_invoke (this=0x42891624, _id=1116280356, 
    _o=0x42891624) at kmcommands.moc:2436
#30 0x4289d281 in KMMoveCommand::qt_invoke (this=0x9b1b308, _id=4, 
    _o=0xbfffe8a0) at kmcommands.moc:2619
#31 0x4289d31b in KMDeleteMsgCommand::qt_invoke (this=0x42891624, 
    _id=1116280356, _o=0x42891624) at kmcommands.moc:2694
#32 0x4112425e in QObject::activate_signal (this=0x8186d08, clist=0x8d45f80, 
    o=0xbfffe8a0) at qconnection.h:56
#33 0x41476092 in QSignal::signal (this=0x8186d08, t0=@0x42891624)
    at moc_qsignal.cpp:100
#34 0x41141613 in QSignal::activate (this=0x8186d08) at qsignal.cpp:212
#35 0x411491d3 in QSingleShotTimer::event (this=0x8186ce0) at qtimer.cpp:286
#36 0x410c0c3f in QApplication::internalNotify (this=0x42891624, 
    receiver=0x8186ce0, e=0xbfffec60) at qevent.h:144
#37 0x410c2823 in QApplication::notify (this=0xbfffeec0, receiver=0x8186ce0, 
    e=0xbfffec60) at qapplication.cpp:2524
#38 0x40dd4ef1 in KApplication::notify (this=0xbfffeec0, receiver=0x8186ce0, 
    event=0xbfffec60) at kapplication.cpp:552
#39 0x410b527c in QEventLoop::activateTimers (this=0x80ea208)
    at qeventloop_unix.cpp:120
#40 0x4106d799 in QEventLoop::processEvents (this=0x80ea208, 
    flags=<value optimized out>) at qeventloop_x11.cpp:389
#41 0x410d8a01 in QEventLoop::enterLoop (this=0x80ea208) at qeventloop.cpp:198
#42 0x410d8846 in QEventLoop::exec (this=0x80ea208) at qeventloop.cpp:145
#43 0x410c26ef in QApplication::exec (this=0xbfffeec0) at qapplication.cpp:2759
#44 0x08058fc5 in main (argc=1116280356, argv=0x42891624)
    at /usr/src/packages/BUILD/kdepim-3.5.3/kontact/src/main.cpp:161
Comment 21 Michael Seiwert 2006-06-12 06:59:18 UTC
*** Bug 129005 has been marked as a duplicate of this bug. ***
Comment 22 Malte S. Stretz 2006-06-22 16:18:22 UTC
*** Bug 129649 has been marked as a duplicate of this bug. ***
Comment 23 Alistair Strachan 2006-07-01 13:03:47 UTC
Still crashing for me in 3.5.3 on two separate machines (i686 and x86-64) with an identical set of backtraces.

This bug makes KMail basically unusable on large IMAP accounts and is a severe regression from 3.5.0. What's the status?
Comment 24 Michael Seiwert 2006-07-28 20:25:17 UTC
*** Bug 131439 has been marked as a duplicate of this bug. ***
Comment 25 Alistair Strachan 2006-07-28 20:52:45 UTC
Still crashing on 3.5.4 from tagged SVN.
Comment 26 Mike McQuaid 2006-07-28 21:10:09 UTC
I have this too.

This is probably the biggest problem I find with KDE at the moment. I'm seriously considering moving mail client, as I experience this 5-10 times a day, minimum.
Comment 27 Allen Winter 2006-07-28 21:16:31 UTC
Drat.  I had hoped Ingo fixed this one.

This is a tough one to find and fix.
Comment 28 Alistair Strachan 2006-07-28 21:22:29 UTC
Are you finding it difficult to reproduce? I'm only too happy to go through any steps necessary to track this down, I'll even rebuild half my system to fix it :-)

Help!
Comment 29 Andreas Kling 2006-08-01 10:55:30 UTC
*** Bug 130080 has been marked as a duplicate of this bug. ***
Comment 30 Andreas Kling 2006-08-01 10:55:39 UTC
*** Bug 130307 has been marked as a duplicate of this bug. ***
Comment 31 Alistair Strachan 2006-08-06 20:24:50 UTC
If it is helpful, I find that what usually happens just prior to a crash is that I have performed an update (or KMail has done so automatically), and I have Threading enabled.

KMail then struggles to decide which are NEW mails (Red) and which are simply UNREAD (Blue). What I often see happen prior to a crash is that Red emails turn to Blue after the update, then I select an email (which does not load for reading) and all of the recently changed Blues turn back to Red, and if I click again, KMail crashes.
Comment 32 Michael Seiwert 2006-08-08 15:59:23 UTC
*** Bug 132051 has been marked as a duplicate of this bug. ***
Comment 33 Michael Seiwert 2006-08-16 21:16:10 UTC
Created attachment 17398 [details]
valgrind log
Comment 34 Michael Seiwert 2006-08-16 21:16:41 UTC
Output of my valgrind session, please see attachment for complete valgrind log.

==9960==
==9960== Invalid read of size 4
==9960==    at 0x4365F91: KMMsgBase::storage() const (kmmsgbase.cpp:90)
==9960==    by 0x447F6FF: KMail::ImapJob::slotGetNextMessage() (imapjob.cpp:278)
==9960==    by 0x4481974: KMail::ImapJob::init(KMail::FolderJob::JobType, QString, KMFolderImap*, QPtrList<KMMessage>&) (imapjob.cpp:216)
==9960==    by 0x4481A38: KMail::ImapJob::execute() (imapjob.cpp:647)
==9960==    by 0x44766BA: KMail::FolderJob::start() (folderjob.cpp:109)
==9960==    by 0x439782F: KMFolderImap::doCreateJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (kmf
olderimap.cpp:1592)
==9960==    by 0x43064CD: FolderStorage::createJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (fold
erstorage.cpp:564)
==9960==    by 0x42E606B: KMFolder::createJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (kmfolder.
cpp:342)
==9960==    by 0x445218D: KMMainWidget::slotMsgSelected(KMMessage*) (kmmainwidget.cpp:1905)
==9960==    by 0x44645D1: KMMainWidget::qt_invoke(int, QUObject*) (kmmainwidget.moc:481)
==9960==    by 0x5E45EDC: QObject::activate_signal(QConnectionList*, QUObject*) (in /usr/lib/qt3/lib/libqt-mt.so.3.3.6)
==9960==    by 0x42A41A1: KMHeaders::selected(KMMessage*) (kmheaders.moc:250)
==9960==  Address 0xAC3FDAC is 4 bytes inside a block of size 96 free'd
==9960==    at 0x4020CC7: operator delete(void*) (vg_replace_malloc.c:244)
==9960==    by 0x4228637: KMMessage::~KMMessage() (kmmessage.cpp:195)
==9960==    by 0x436D561: KMMsgList::clear(bool, bool) (kmmsglist.cpp:42)
==9960==    by 0x446CF3E: KMFolderIndex::clearIndex(bool, bool) (kmfolderindex.cpp:450)
==9960==    by 0x446DC39: KMFolderIndex::readIndex() (kmfolderindex.cpp:221)
==9960==    by 0x4393563: KMFolderMbox::open() (kmfoldermbox.cpp:175)
==9960==    by 0x42E57DF: KMFolder::open() (kmfolder.cpp:473)
==9960==    by 0x4480CCB: KMail::ImapJob::init(KMail::FolderJob::JobType, QString, KMFolderImap*, QPtrList<KMMessage>&) (imapjob.cpp:92)
==9960==    by 0x4481A38: KMail::ImapJob::execute() (imapjob.cpp:647)
==9960==    by 0x44766BA: KMail::FolderJob::start() (folderjob.cpp:109)
==9960==    by 0x439782F: KMFolderImap::doCreateJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (kmf
olderimap.cpp:1592)
==9960==    by 0x43064CD: FolderStorage::createJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (fold
erstorage.cpp:564)
==9960==
==9960== Invalid read of size 4
==9960==    at 0x4365F9B: KMMsgBase::storage() const (kmmsgbase.cpp:91)
==9960==    by 0x447F6FF: KMail::ImapJob::slotGetNextMessage() (imapjob.cpp:278)
==9960==    by 0x4481974: KMail::ImapJob::init(KMail::FolderJob::JobType, QString, KMFolderImap*, QPtrList<KMMessage>&) (imapjob.cpp:216)
==9960==    by 0x4481A38: KMail::ImapJob::execute() (imapjob.cpp:647)
==9960==    by 0x44766BA: KMail::FolderJob::start() (folderjob.cpp:109)
==9960==    by 0x439782F: KMFolderImap::doCreateJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (kmf
olderimap.cpp:1592)
==9960==    by 0x43064CD: FolderStorage::createJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (fold
erstorage.cpp:564)
==9960==    by 0x42E606B: KMFolder::createJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (kmfolder.
cpp:342)
==9960==    by 0x445218D: KMMainWidget::slotMsgSelected(KMMessage*) (kmmainwidget.cpp:1905)
==9960==    by 0x44645D1: KMMainWidget::qt_invoke(int, QUObject*) (kmmainwidget.moc:481)
==9960==    by 0x5E45EDC: QObject::activate_signal(QConnectionList*, QUObject*) (in /usr/lib/qt3/lib/libqt-mt.so.3.3.6)
==9960==    by 0x42A41A1: KMHeaders::selected(KMMessage*) (kmheaders.moc:250)
==9960==  Address 0xAC3FDAC is 4 bytes inside a block of size 96 free'd
==9960==    at 0x4020CC7: operator delete(void*) (vg_replace_malloc.c:244)
==9960==    by 0x4228637: KMMessage::~KMMessage() (kmmessage.cpp:195)
==9960==    by 0x436D561: KMMsgList::clear(bool, bool) (kmmsglist.cpp:42)
==9960==    by 0x446CF3E: KMFolderIndex::clearIndex(bool, bool) (kmfolderindex.cpp:450)
==9960==    by 0x446DC39: KMFolderIndex::readIndex() (kmfolderindex.cpp:221)
==9960==    by 0x4393563: KMFolderMbox::open() (kmfoldermbox.cpp:175)
==9960==    by 0x42E57DF: KMFolder::open() (kmfolder.cpp:473)
==9960==    by 0x4480CCB: KMail::ImapJob::init(KMail::FolderJob::JobType, QString, KMFolderImap*, QPtrList<KMMessage>&) (imapjob.cpp:92)
==9960==    by 0x4481A38: KMail::ImapJob::execute() (imapjob.cpp:647)
==9960==    by 0x44766BA: KMail::FolderJob::start() (folderjob.cpp:109)
==9960==    by 0x439782F: KMFolderImap::doCreateJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (kmf
olderimap.cpp:1592)
==9960==    by 0x43064CD: FolderStorage::createJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (fold
erstorage.cpp:564)
==9960==
==9960== Invalid read of size 4
==9960==    at 0x447F72A: KMail::ImapJob::slotGetNextMessage() (imapjob.cpp:279)
==9960==    by 0x4481974: KMail::ImapJob::init(KMail::FolderJob::JobType, QString, KMFolderImap*, QPtrList<KMMessage>&) (imapjob.cpp:216)
==9960==    by 0x4481A38: KMail::ImapJob::execute() (imapjob.cpp:647)
==9960==    by 0x44766BA: KMail::FolderJob::start() (folderjob.cpp:109)
==9960==    by 0x439782F: KMFolderImap::doCreateJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (kmf
olderimap.cpp:1592)
==9960==    by 0x43064CD: FolderStorage::createJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (fold
erstorage.cpp:564)
==9960==    by 0x42E606B: KMFolder::createJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (kmfolder.
cpp:342)
==9960==    by 0x445218D: KMMainWidget::slotMsgSelected(KMMessage*) (kmmainwidget.cpp:1905)
==9960==    by 0x44645D1: KMMainWidget::qt_invoke(int, QUObject*) (kmmainwidget.moc:481)
==9960==    by 0x5E45EDC: QObject::activate_signal(QConnectionList*, QUObject*) (in /usr/lib/qt3/lib/libqt-mt.so.3.3.6)
==9960==    by 0x42A41A1: KMHeaders::selected(KMMessage*) (kmheaders.moc:250)
==9960==    by 0x42AA8D6: KMHeaders::highlightMessage(QListViewItem*, bool) (kmheaders.cpp:2020)
==9960==  Address 0xAC3FDA8 is 0 bytes inside a block of size 96 free'd
==9960==    at 0x4020CC7: operator delete(void*) (vg_replace_malloc.c:244)
==9960==    by 0x4228637: KMMessage::~KMMessage() (kmmessage.cpp:195)
==9960==    by 0x436D561: KMMsgList::clear(bool, bool) (kmmsglist.cpp:42)
==9960==    by 0x446CF3E: KMFolderIndex::clearIndex(bool, bool) (kmfolderindex.cpp:450)
==9960==    by 0x446DC39: KMFolderIndex::readIndex() (kmfolderindex.cpp:221)
==9960==    by 0x4393563: KMFolderMbox::open() (kmfoldermbox.cpp:175)
==9960==    by 0x42E57DF: KMFolder::open() (kmfolder.cpp:473)
==9960==    by 0x4480CCB: KMail::ImapJob::init(KMail::FolderJob::JobType, QString, KMFolderImap*, QPtrList<KMMessage>&) (imapjob.cpp:92)
==9960==    by 0x4481A38: KMail::ImapJob::execute() (imapjob.cpp:647)
==9960==    by 0x44766BA: KMail::FolderJob::start() (folderjob.cpp:109)
==9960==    by 0x439782F: KMFolderImap::doCreateJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (kmf
olderimap.cpp:1592)
==9960==    by 0x43064CD: FolderStorage::createJob(KMMessage*, KMail::FolderJob::JobType, KMFolder*, QString, KMail::AttachmentStrategy const*) const (fold
erstorage.cpp:564)
==9960==
==9960== ERROR SUMMARY: 5190 errors from 32 contexts (suppressed: 5 from 1)
==9960== malloc/free: in use at exit: 6,162,650 bytes in 202,998 blocks.
==9960== malloc/free: 18,118,864 allocs, 17,915,866 frees, 1,113,760,380 bytes allocated.
==9960== For counts of detected errors, rerun with: -v
==9960== searching for pointers to 202,998 not-freed blocks.
==9960== checked 41,026,792 bytes.
==9960==
==9960== LEAK SUMMARY:
==9960==    definitely lost: 77,489 bytes in 8,359 blocks.
==9960==      possibly lost: 724 bytes in 9 blocks.
==9960==    still reachable: 6,084,437 bytes in 194,630 blocks.
==9960==         suppressed: 0 bytes in 0 blocks.
==9960== Use --leak-check=full to see details of leaked memory.
Comment 35 Alistair Strachan 2006-08-17 19:00:26 UTC
Potentially useless trace, but I thought it might be useful..

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x000000337b18d631 in nanosleep () from /lib/libc.so.6
#0  0x000000337b18d631 in nanosleep () from /lib/libc.so.6
#1  0x000000337b18d454 in sleep () from /lib/libc.so.6
#2  0x00000032e5c7c779 in KCrash::startDrKonqi ()
   from /opt/kde-3.5.4/lib/libkdecore.so.4
#3  0x00000032e5c7cd60 in KCrash::defaultCrashHandler ()
   from /opt/kde-3.5.4/lib/libkdecore.so.4
#4  0x000000337b12f5f0 in killpg () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()
#6  0x0000000000000000 in ?? ()
#7  0x0000000000000000 in ?? ()
#8  0x0000000000000002 in ?? ()
#9  0x0000000000000000 in ?? ()
#10 0x00002ab9a82ed1e0 in ?? ()
#11 0x00007fff027e814c in ?? ()
#12 0x00000000000001e4 in ?? ()
#13 0x0000000000000202 in ?? ()
#14 0x0000000003237a00 in ?? ()
#15 0x0000000002a94d70 in ?? ()
#16 0x0000000000978b30 in ?? ()
#17 0x0000000000d73bb0 in ?? ()
#18 0x0000000003237a00 in ?? ()
#19 0x00000035a46bb92b in typeinfo name for QPtrList<QGDictIterator> ()
   from /opt/qt/lib/libqt-mt.so.3
#20 0x0000000002a94d20 in ?? ()
#21 0x0000000000000000 in ?? ()
#22 0x000000337b3259f0 in __after_morecore_hook () from /lib/libc.so.6
#23 0x00000000030cdf60 in ?? ()
#24 0x000000337d30bd6a in fcntl () from /lib/libpthread.so.0
#25 0x0000000002aeb5c0 in ?? ()
#26 0x0000000000000004 in ?? ()
#27 0x000000337b16a9bc in free () from /lib/libc.so.6
#28 0x00000035a45e65cf in QGArray::~QGArray () from /opt/qt/lib/libqt-mt.so.3
#29 0x00000032e5c7de26 in KURL::query ()
   from /opt/kde-3.5.4/lib/libkdecore.so.4
#30 0x0000000000000000 in ?? ()
#31 0x4004000000000000 in ?? ()
#32 0x0000000000000000 in ?? ()
#33 0x3ff0000000000000 in ?? ()
#34 0x0000000000000000 in ?? ()
#35 0x3ff0000000000000 in ?? ()
#36 0x0000000000000000 in ?? ()
#37 0x3fe0000000000000 in ?? ()
#38 0x0000000000000000 in ?? ()
#39 0x0000000000000000 in ?? ()
#40 0x0000000000000000 in ?? ()
#41 0x408a080000000000 in ?? ()
#42 0x0000000000000000 in ?? ()
#43 0x0000000000000000 in ?? ()
#44 0x0000000000000000 in ?? ()
#45 0x0000000000000000 in ?? ()
#46 0x0000000000000000 in ?? ()
#47 0x3ff0000000000000 in ?? ()
#48 0x0000000000000000 in ?? ()
#49 0x0000000000000000 in ?? ()
#50 0x0000000000000000 in ?? ()
#51 0x3ff0000000000000 in ?? ()
#52 0x0000000000000000 in ?? ()
#53 0x000000003f19999a in ?? ()
#54 0x0000000000000000 in ?? ()
#55 0x3de3881000000000 in ?? ()
#56 0x0000000000000000 in ?? ()
#57 0x3ff0000c80000000 in ?? ()
#58 0x0000000000000000 in ?? ()
#59 0x41a0000002000000 in ?? ()
#60 0x0000000000000000 in ?? ()
#61 0x0000000000000001 in ?? ()
#62 0x000000337b1acce9 in read () from /lib/libc.so.6
#63 0x000000337b166a36 in _IO_file_underflow () from /lib/libc.so.6
#64 0x000000337b16567e in _IO_file_seek () from /lib/libc.so.6
#65 0x000000337b15c401 in fread () from /lib/libc.so.6
#66 0x00000032f350bee0 in KMFolderIndex::readIndex ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#67 0x00000032f3458309 in KMFolderMbox::open ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#68 0x00000032f351ce55 in KMail::ImapJob::init ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#69 0x00000032f351e0ba in KMail::ImapJob::execute ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#70 0x00000032f345dcd0 in KMFolderImap::doCreateJob ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#71 0x00000032f33e6774 in FolderStorage::createJob ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#72 0x00000032f33cc838 in KMFolder::createJob ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#73 0x00000032f34f8bdf in KMMainWidget::slotMsgSelected ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#74 0x00000032f3508d76 in KMMainWidget::qt_invoke ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#75 0x00000035a434f96c in QObject::activate_signal ()
   from /opt/qt/lib/libqt-mt.so.3
#76 0x00000032f33952dc in KMHeaders::selected ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#77 0x00000032f339777d in KMHeaders::highlightMessage ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#78 0x00000032f33a50ee in KMHeaders::qt_invoke ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#79 0x00000035a434f96c in QObject::activate_signal ()
   from /opt/qt/lib/libqt-mt.so.3
#80 0x00000035a466b83f in QListView::currentChanged ()
   from /opt/qt/lib/libqt-mt.so.3
#81 0x00000035a441a982 in QListView::contentsMousePressEventEx ()
   from /opt/qt/lib/libqt-mt.so.3
#82 0x00000032e62f769a in KListView::contentsMousePressEvent ()
   from /opt/kde-3.5.4/lib/libkdeui.so.4
#83 0x00000032f3397c33 in KMHeaders::contentsMousePressEvent ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#84 0x00000035a4446f03 in QScrollView::viewportMousePressEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#85 0x00000035a4445079 in QScrollView::eventFilter ()
   from /opt/qt/lib/libqt-mt.so.3
#86 0x00000035a441901e in QListView::eventFilter ()
   from /opt/qt/lib/libqt-mt.so.3
#87 0x00000032f3399195 in KMHeaders::eventFilter ()
   from /opt/kde-3.5.4/lib/libkmailprivate.so
#88 0x00000035a434eff2 in QObject::activate_filters ()
   from /opt/qt/lib/libqt-mt.so.3
#89 0x00000035a434f047 in QObject::event () from /opt/qt/lib/libqt-mt.so.3
#90 0x00000035a4380698 in QWidget::event () from /opt/qt/lib/libqt-mt.so.3
#91 0x00000035a42fa555 in QApplication::internalNotify ()
   from /opt/qt/lib/libqt-mt.so.3
#92 0x00000035a42fb455 in QApplication::notify ()
   from /opt/qt/lib/libqt-mt.so.3
#93 0x00000032e5bf8b7e in KApplication::notify ()
   from /opt/kde-3.5.4/lib/libkdecore.so.4
#94 0x00000035a42a52c3 in QETWidget::translateMouseEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#95 0x00000035a42a40bb in QApplication::x11ProcessEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#96 0x00000035a42b2e5f in QEventLoop::processEvents ()
   from /opt/qt/lib/libqt-mt.so.3
#97 0x00000035a430ec21 in QEventLoop::enterLoop ()
   from /opt/qt/lib/libqt-mt.so.3
#98 0x00000035a430eaea in QEventLoop::exec () from /opt/qt/lib/libqt-mt.so.3
#99 0x0000000000402cdd in main ()
Comment 36 Michael Seiwert 2006-08-20 10:54:18 UTC
*** Bug 132680 has been marked as a duplicate of this bug. ***
Comment 37 Tommi Tervo 2006-08-23 14:30:44 UTC
*** Bug 132156 has been marked as a duplicate of this bug. ***
Comment 38 Horatiu Olar 2006-08-25 15:20:35 UTC
Got the same backtrace, so I won't post it again. Here's the setup:

- Exchange 2003 Server
- IMAP account - quite big - lots of folders/subfolders

From what I can see/feel (it happens 10-20 times during the day), this is definitely related to new incoming mail. If the inbox folder has just been reread, and before the 1st click on a new message a newer message has landed in inbox, kmail/kontact will crash. One workaround, which doesn't always work (only 20% of the cases) is to reread the inbox folder again (click on a subfolder, click on inbox).
Comment 39 Michael Seiwert 2006-08-30 10:10:09 UTC
*** Bug 133225 has been marked as a duplicate of this bug. ***
Comment 40 Jesse Barnes 2006-08-30 19:01:29 UTC
Is anyone looking at this?  I feel the same way Mike Arthur does--this is my biggest gripe with KDE ATM... I'm seriously considering a mail client switch, but if there's code to test or things to try I'm happy to help out...
Comment 41 Alistair Strachan 2006-08-30 21:12:34 UTC
I can only recommend that people watching this bug use their votes to increase its status. There are some fairly silly bugs with 1000+ votes, by comparison..
Comment 42 Michael Seiwert 2006-08-31 16:38:52 UTC
*** Bug 133333 has been marked as a duplicate of this bug. ***
Comment 43 Rigo Wenning 2006-09-01 09:25:31 UTC
I have a desktop and a laptop both running kubuntu with KDE 3.5.4. Normally, I start kontact on my laptop and export the X. My desktop is setup so that the kontact there can also use imap. I use a courier imap-server on a dedicated machine. I added some folders from the desktop kmail/kontact and moved some email around. Later, I started the laptop instance of kmail and it crashed consistently. By inadvertance, I was working on my desktop and started the kontact instance on the desktop and it worked just fine.
So I uninstalled kde-pim on my laptop, purged all configuration files and did a fresh install of kde-pim and kontact. Surprise surprise, kontact/kmail is working perfectly again.
I just wanted to report this experience to give the developers a hint. It might be that kmail is messing up its index-files and crashes on its own mess.
Comment 44 kavol 2006-09-01 10:34:15 UTC
> It might be that kmail is messing up its index-files and crashes on its own mess.

I gues this is a very good point - I just tried to delete the indexes, leaving only the directories, and suddenly I can work with all my IMAP accounts again without problems, while two of them (on one server) reported timeouts and I was unable to get even the list of messages ... (and the server was not down - I was able to use it through webmail imap interface)
Comment 45 Jesse Barnes 2006-09-01 20:36:40 UTC
Things seem much improved with kling's patch (crash frequency seems down after a few hours of testing), but I just saw a crash:

[KCrash handler]
#6  0x0742ca81 in KMFolder::open () from /usr/lib/libkmailprivate.so
#7  0x075b23e6 in KMail::ImapJob::init () from /usr/lib/libkmailprivate.so
#8  0x075b394d in KMail::ImapJob::execute () from /usr/lib/libkmailprivate.so
#9  0x075a61fd in KMail::FolderJob::start () from /usr/lib/libkmailprivate.so
#10 0x074d51d1 in KMFolderImap::doCreateJob ()
   from /usr/lib/libkmailprivate.so
#11 0x0744ccef in FolderStorage::createJob () from /usr/lib/libkmailprivate.so
#12 0x0742eac5 in KMFolder::createJob () from /usr/lib/libkmailprivate.so
#13 0x07587c7b in KMMainWidget::slotMsgSelected ()
   from /usr/lib/libkmailprivate.so
#14 0x0759b830 in KMMainWidget::qt_invoke () from /usr/lib/libkmailprivate.so
#15 0x05a1370a in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x073ef7ae in KMHeaders::selected () from /usr/lib/libkmailprivate.so
#17 0x073f17f9 in KMHeaders::highlightMessage ()
   from /usr/lib/libkmailprivate.so
#18 0x073f1bec in KMHeaders::highlightMessage ()
   from /usr/lib/libkmailprivate.so
#19 0x073ff0f6 in KMHeaders::qt_invoke () from /usr/lib/libkmailprivate.so
#20 0x05a1370a in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x05db2721 in QListView::currentChanged ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x05b0a337 in QListView::setCurrentItem ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x073f25d4 in KMHeaders::setCurrentMsg () from /usr/lib/libkmailprivate.so
#24 0x073ee824 in KMHeaders::nextUnreadMessage ()
   from /usr/lib/libkmailprivate.so
#25 0x07584b20 in KMMainWidget::slotNextUnreadMessage ()
   from /usr/lib/libkmailprivate.so
#26 0x0759c1e1 in KMMainWidget::qt_invoke () from /usr/lib/libkmailprivate.so
#27 0x05a1370a in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#28 0x05a1427d in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x023cdf19 in KAction::activated () from /usr/lib/libkdeui.so.4
#30 0x02405162 in KAction::slotActivated () from /usr/lib/libkdeui.so.4
#31 0x024d814f in KAction::qt_invoke () from /usr/lib/libkdeui.so.4
#32 0x05a1370a in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#33 0x05a1427d in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#34 0x020d4cd9 in KAccelPrivate::menuItemActivated ()
   from /usr/lib/libkdecore.so.4
#35 0x021249e7 in KAccelPrivate::emitActivatedSignal ()
   from /usr/lib/libkdecore.so.4
#36 0x0217c419 in KAccelPrivate::eventFilter () from /usr/lib/libkdecore.so.4
#37 0x05a12d4c in QObject::activate_filters ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#38 0x05a12dcb in QObject::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#39 0x05a5060c in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#40 0x05b1d892 in QMainWindow::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#41 0x059aabeb in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#42 0x059ac4dd in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#43 0x021ab193 in KApplication::notify () from /usr/lib/libkdecore.so.4
#44 0x02130e50 in KAccelEventHandler::x11Event ()
   from /usr/lib/libkdecore.so.4
#45 0x0219f5cb in KApplication::x11EventFilter ()
   from /usr/lib/libkdecore.so.4
#46 0x05930464 in qt_set_x11_event_filter ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#47 0x05940c9d in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#48 0x05952fcb in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#49 0x059c4090 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#50 0x059c3f56 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#51 0x059aa6ff in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#52 0x0804a10e in ?? ()
#53 0x008ba214 in __libc_start_main () from /lib/libc.so.6
#54 0x08049e71 in ?? ()
Comment 46 Andreas Kling 2006-09-07 16:57:26 UTC
This bug is caused by KMMsgList::clear() deleting message objects that are still referenced by one or more jobs. From my outside perspective, I see two solutions: either add refcounting to KMMessage or devise a way for ~KMMessage() to notify jobs of deletion.

Making KMMessage inherit QObject and using QGuardedPtrs would be "the easy way", but uses a lot of memory (approx. 200 bytes/message), which you might deem unacceptable.
Comment 47 Michael Seiwert 2006-09-21 07:48:04 UTC
*** Bug 132054 has been marked as a duplicate of this bug. ***
Comment 48 Ferdinand Gassauer 2006-09-26 07:02:51 UTC
Using host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 47645770874512 (LWP 11197)]
[New Thread 1107310912 (LWP 11222)]
[New Thread 1098918208 (LWP 11221)]
[New Thread 1090525504 (LWP 11220)]
[New Thread 1082132800 (LWP 11219)]
[KCrash handler]
#5  0x0000000000000000 in ?? ()
#6  0x00002b555e84ec35 in KMail::ImapJob::slotGetNextMessage ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#7  0x00002b555e85073c in KMail::ImapJob::init ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#8  0x00002b555e85083a in KMail::ImapJob::execute ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#9  0x00002b555e82d3e0 in KMMainWidget::slotMsgSelected ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#10 0x00002b555e83a321 in KMMainWidget::qt_invoke ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#11 0x00002b5562f81adc in QObject::activate_signal ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#12 0x00002b555e6ea741 in KMHeaders::selected ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#13 0x00002b555e6ef69d in KMHeaders::highlightMessage ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#14 0x00002b555e6f530f in KMHeaders::qt_invoke ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#15 0x00002b5562f81adc in QObject::activate_signal ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#16 0x00002b5563275885 in QListView::currentChanged ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#17 0x00002b5563051f4c in QListView::contentsMousePressEventEx ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#18 0x00002b5561c82702 in KListView::contentsMousePressEvent ()
   from /daten/kdesvn/kde35/lib64/libkdeui.so.4
#19 0x00002b555e6f15be in KMHeaders::contentsMousePressEvent ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#20 0x00002b556307f933 in QScrollView::viewportMousePressEvent ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#21 0x00002b556307d859 in QScrollView::eventFilter ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#22 0x00002b55630505be in QListView::eventFilter ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#23 0x00002b555e6f5efe in KMHeaders::eventFilter ()
   from /daten/kdesvn/kde35/lib64/libkmailprivate.so
#24 0x00002b5562f814e2 in QObject::activate_filters ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#25 0x00002b5562f81537 in QObject::event ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#26 0x00002b5562fb4618 in QWidget::event ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#27 0x00002b5562f2aae5 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#28 0x00002b5562f2b90b in QApplication::notify ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#29 0x00002b55622bee12 in KApplication::notify ()
   from /daten/kdesvn/kde35/lib64/libkdecore.so.4
#30 0x00002b5562ed3144 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#31 0x00002b5562ed2323 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#32 0x00002b5562ee12af in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#33 0x00002b5562f3f7f1 in QEventLoop::enterLoop ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#34 0x00002b5562f3f69a in QEventLoop::exec ()
   from /usr/lib/qt3/lib64/libqt-mt.so.3
#35 0x00000000004032c3 in main ()
Comment 49 BJ Blanchard 2006-09-26 19:39:27 UTC
Hi there,

We are using Kontact 3.5.4 corporately (60 users) and are experiencing several crashes per day per heavy IMAP user [by heavy - over 15,000 emails across hundreds of folders].  I've been collecting backtraces over last couple of days, and of 78 backtraces, 31 are tied to "slotGetNextMessage" on selecting email messages.  [15 are related to "KMMoveCommand", and 10 others to KMReaderWin::setMsg - will find/post appropriate bug]

Figured this was the closest matching open bug, so here is one of my backtraces (I have 30 more if anyone cares to see them!)

BJ Blanchard


Using host libthread_db library "/lib/tls/libthread_db.so.1".
Core was generated by `kontact'.
Program terminated with signal 11, Segmentation fault.
#0  0x61747461 in ?? ()

Thread 5 (process 2081):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x49e3b9e6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x4a745aab in QWaitCondition::wait () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#3  0xb7ed5e85 in KPIM::ThreadWeaver::Weaver::applyForWork ()
   from /usr/kde/3.5/lib/libkdepim.so.1
No symbol table info available.
#4  0xb7f6bae4 in typeinfo name for KPIM::ThreadWeaver::Event ()
   from /usr/kde/3.5/lib/libkdepim.so.1
No symbol table info available.

Thread 4 (process 2082):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x49e3b9e6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x4a745aab in QWaitCondition::wait () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#3  0xb7ed5e85 in KPIM::ThreadWeaver::Weaver::applyForWork ()
   from /usr/kde/3.5/lib/libkdepim.so.1
No symbol table info available.
#4  0x08abaf98 in ?? ()
No symbol table info available.

Thread 3 (process 2083):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x49e3b9e6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x4a745aab in QWaitCondition::wait () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#3  0xb7ed5e85 in KPIM::ThreadWeaver::Weaver::applyForWork ()
   from /usr/kde/3.5/lib/libkdepim.so.1
No symbol table info available.
#4  0x08abaf98 in ?? ()
No symbol table info available.

Thread 2 (process 2084):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x49e3b9e6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x4a745aab in QWaitCondition::wait () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#3  0xb7ed5e85 in KPIM::ThreadWeaver::Weaver::applyForWork ()
   from /usr/kde/3.5/lib/libkdepim.so.1
No symbol table info available.
#4  0x08abaf98 in ?? ()
No symbol table info available.

Thread 1 (process 2078):
#0  0x61747461 in ?? ()
No symbol table info available.
#1  0xb666e1aa in KMail::ImapJob::slotGetNextMessage (this=0xa811c88)
    at imapjob.cpp:279
	msg = (class KMMessage *) 0x8600e08
	msgParent = (class KMFolderImap *) 0xa4b0c80
	url = {m_strProtocol = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x93c8c00, 
    static shared_null = 0x806d070}, m_strUser = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0xaa69198, 
    static shared_null = 0x806d070}, m_strPass = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x5, 
    static shared_null = 0x806d070}, m_strHost = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x4a8ebe80, 
    static shared_null = 0x806d070}, m_strPath = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x4a761fcd, 
    static shared_null = 0x806d070}, m_strRef_encoded = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x4a8ebe80, 
    static shared_null = 0x806d070}, m_strQuery_encoded = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0xbfa98d78, 
    static shared_null = 0x806d070}, m_bIsMalformed = true, m_iUriMode = RawURI, 
  freeForUse = 13, m_iPort = 19061, m_strPath_encoded = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x0, 
    static shared_null = 0x806d070}, d = 0x4a8411dc}
	jd = {path = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x49c660d6, 
    static shared_null = 0x806d070}, url = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x49d17840, 
    static shared_null = 0x806d070}, curNamespace = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0xa33aa90, 
    static shared_null = 0x806d070}, 
  data = {<> = {<No data fields>}, <No data fields>}, cdata = <incomplete type>, 
  items = {<QValueList<QString>> = {sh = 0x4a04fb8d}, <No data fields>}, 
  parent = 0xa33aa90, msgList = {<QGList> = {<> = {<No data fields>}, 
      firstNode = 0x4a75a8d3, lastNode = 0xa33aa90, curNode = 0x4a8ebe80, 
      curIndex = -1079407384, numNodes = 1249224999, 
      iterators = 0xbfa98e30}, <No data fields>}, total = 171158160, 
  done = 159767432, offset = 5, progressItem = 0x8ab91a8, onlySubscribed = 240, 
  quiet = 234, cancellable = 68}
	path = {static null = {
    static null = <same as static member of an already seen type>, 
    d = 0x806d070, static shared_null = 0x806d070}, d = 0xc, 
  static shared_null = 0x806d070}
#2  0xb666f6b3 in KMail::ImapJob::init (this=0xa811c88, 
    jt=KMail::FolderJob::tGetMessage, sets=
      {static null = {static null = <same as static member of an already seen type>, d = 0x806d070, static shared_null = 0x806d070}, d = 0x2c, static shared_null = 0x806d070}, folder=0x0, msgList=@0xa811cb0) at imapjob.cpp:216
	url = {m_strProtocol = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x86fc198, 
    static shared_null = 0x806d070}, m_strUser = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0xa811c88, 
    static shared_null = 0x806d070}, m_strPass = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x10, 
    static shared_null = 0x806d070}, m_strHost = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x10, 
    static shared_null = 0x806d070}, m_strPath = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x806a1e8, 
    static shared_null = 0x806d070}, m_strRef_encoded = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x806a23c, 
    static shared_null = 0x806d070}, m_strQuery_encoded = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x806a23c, 
    static shared_null = 0x806d070}, m_bIsMalformed = false, 
  m_iUriMode = Mailto, freeForUse = 14, m_iPort = 2054, m_strPath_encoded = {
    static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x4a82bb77, 
    static shared_null = 0x806d070}, d = 0xbfa99040}
	destUrl = {m_strProtocol = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x49c67b73, 
    static shared_null = 0x806d070}, m_strUser = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x49d17840, 
    static shared_null = 0x806d070}, m_strPass = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x49d0b65c, 
    static shared_null = 0x806d070}, m_strHost = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x4a07225c, 
    static shared_null = 0x806d070}, m_strPath = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x902a080, 
    static shared_null = 0x806d070}, m_strRef_encoded = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x8f031d0, 
    static shared_null = 0x806d070}, m_strQuery_encoded = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x2, 
    static shared_null = 0x806d070}, m_bIsMalformed = false, m_iUriMode = Auto, 
  freeForUse = 1, m_iPort = 0, m_strPath_encoded = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x49d15ff4, 
    static shared_null = 0x806d070}, d = 0x49d17840}
	jd = {path = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x49d15ff4, 
    static shared_null = 0x806d070}, url = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x49d17840, 
    static shared_null = 0x806d070}, curNamespace = {static null = {
      static null = <same as static member of an already seen type>, 
      d = 0x806d070, static shared_null = 0x806d070}, d = 0x9549950, 
    static shared_null = 0x806d070}, 
  data = {<> = {<No data fields>}, <No data fields>}, cdata = <incomplete type>, 
  items = {<QValueList<QString>> = {sh = 0x4a07225c}, <No data fields>}, 
  parent = 0xbfa99040, msgList = {<QGList> = {<> = {<No data fields>}, 
      firstNode = 0x4a04fb8d, lastNode = 0x9549950, curNode = 0x4a8ebe80, 
      curIndex = -1079406792, numNodes = 1249224915, 
      iterators = 0x9549950}, <No data fields>}, total = 1250868864, 
  done = -1079406760, offset = 1249224999, progressItem = 0xbfa99040, 
  onlySubscribed = 80, quiet = 153, cancellable = 84}
	stream = <incomplete type>
	simpleJob = (struct KIO::SimpleJob *) 0x86fbf30
	packedArgs = {<> = {<No data fields>}, <No data fields>}
#3  0xb667012a in KMail::ImapJob::execute (this=0xa811c88) at kmfolder.h:130
No locals.
#4  0xb6663439 in KMail::FolderJob::start (this=0x8600e08) at folderjob.cpp:109
No locals.
#5  0xb6647fb3 in KMMainWidget::slotMsgSelected (this=0xb411eb10, msg=0x8600e08)
    at qguardedptr.h:113
No locals.
#6  0xb6658fe3 in KMMainWidget::qt_invoke (this=0xb411eb10, _id=54, 
    _o=0xbfa99180) at qucom_p.h:316
No locals.
#7  0x4a4a218a in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#8  0xb64a3230 in KMHeaders::selected (this=0xbfa991a8, t0=0xa9b8220)
    at kmheaders.moc:250
	clist = (QConnectionList *) 0x8917d70
	o = {{type = 0x806a55c, payload = {b = false, c = 0 '\0', s = 0, i = 0, 
      l = 0, uc = 0 '\0', us = 0, ui = 0, ul = 0, f = 0, 
      d = 1.6676528443035453e-257, 
      byte = "\000\000\000\000\210\006 \n\002\000\000\000\224\017z¶", 
      bytearray = {data = 0x0, size = 178259592}, ptr = 0x0, voidstar = {
        ptr = 0x0, owner = 136}, charstar = {ptr = 0x0, owner = 136}, utf8 = {
        ptr = 0x0, owner = 136}, local8bit = {ptr = 0x0, owner = 136}, 
      iface = 0x0, idisp = 0x0}}, {type = 0x806a1e8, payload = {b = 8, 
      c = 8 '\b', s = 3592, i = 140512776, l = 140512776, uc = 8 '\b', 
      us = 3592, ui = 140512776, ul = 140512776, f = 6.74240417e-34, 
      d = -6.713007858781523e-47, 
      byte = "\b\016`\b\026\207X¶\b\016`\bË\000\000", bytearray = {
        data = 0x8600e08 " \202\233\nxxÑI\227;\001", size = 3059255062}, 
      ptr = 0x8600e08, voidstar = {ptr = 0x8600e08, owner = 22}, charstar = {
        ptr = 0x8600e08 " \202\233\nxxÑI\227;\001", owner = 22}, utf8 = {
        ptr = 0x8600e08 " \202\233\nxxÑI\227;\001", owner = 22}, local8bit = {
        ptr = 0x8600e08 " \202\233\nxxÑI\227;\001", owner = 22}, 
      iface = 0x8600e08, idisp = 0x8600e08}}}
#9  0xb64a33d9 in KMHeaders::highlightMessage (this=0xb4121700, lvi=0x32c, 
    markitread=false) at qguardedptr.h:113
	msg = (class KMMessage *) 0xa9b8220
#10 0xb64a3848 in KMHeaders::highlightMessage (this=0xa9b8220, i=0xa9b8220)
    at kmheaders.cpp:2269
No locals.
#11 0xb64b1d51 in KMHeaders::qt_invoke (this=0xb4121700, _id=106, _o=0xbfa99310)
    at qucom_p.h:316
No locals.
#12 0x4a4a218a in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#13 0x4a7f777f in QListView::currentChanged () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#14 0x4a58eb78 in QListView::setCurrentItem () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#15 0x4a590f8b in QListView::contentsMousePressEventEx ()
   from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#16 0x4a591964 in QListView::contentsMousePressEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#17 0xb71796b7 in KListView::contentsMousePressEvent ()
   from /usr/kde/3.5/lib/libkdeui.so.4
No symbol table info available.
#18 0x00000000 in ?? ()
No symbol table info available.
Comment 50 FiNeX 2006-10-08 22:32:30 UTC
I'm using kmail 1.9.4 with an IMAP account (on a dovecot imap server). My inbox is about 500Mb (a lot of messages). Sometimes kmail crash loading folder with a lot of mails (>800). Kmail slow down till it crash. It's happened tree/four time in the last two month (kmail run 12 hours per day). I've no backtrace unfortunatly.
Comment 51 Stefan Nikolaus 2006-10-09 14:34:16 UTC
Confirmed for 1.9.5 (compiled from sources: 3.5 branch, SVN 592690).
Crash occured while trying to read a message in my IMAP inbox (which has not many subfolders, only four).

#6  0x00002b9d793134f4 in KMail::ImapJob::slotGetNextMessage (this=0x1409710)
    at /home/kde/3.5/kdepim/kmail/imapjob.cpp:279
#7  0x00002b9d79315511 in KMail::ImapJob::init (this=0x1409710, 
    jt=KMail::FolderJob::tGetMessage, sets=@0x7fff31dbb460, folder=0x0, 
    msgList=@0x1409760) at /home/kde/3.5/kdepim/kmail/imapjob.cpp:216
#8  0x00002b9d793155ce in KMail::ImapJob::execute (this=0x1409710)
    at /home/kde/3.5/kdepim/kmail/imapjob.cpp:647
#9  0x00002b9d7930a9cd in KMail::FolderJob::start (this=0x1409710)
    at /home/kde/3.5/kdepim/kmail/folderjob.cpp:109
#10 0x00002b9d792e92cd in KMMainWidget::slotMsgSelected (this=0x895e20, 
    msg=0x1268cf0) at /home/kde/3.5/kdepim/kmail/kmmainwidget.cpp:1909
#11 0x00002b9d792f97f1 in KMMainWidget::qt_invoke (this=0x895e20, _id=54, 
    _o=0x7fff31dbb5e0) at ./kmail/kmmainwidget.moc:481
Comment 52 Michael Seiwert 2006-10-31 21:43:19 UTC
*** Bug 136591 has been marked as a duplicate of this bug. ***
Comment 53 Bram Schoenmakers 2006-11-03 23:46:48 UTC
*** Bug 136793 has been marked as a duplicate of this bug. ***
Comment 54 BJ Blanchard 2006-11-16 17:19:06 UTC
**Update** 

16 days on 3.5.5 and today hit crash #100 regarding slotGetNextMessage.. overall just over 200 crashes.. so this one still accounts for around 50%.  This is for 60 users.. not just one.
Comment 55 Alistair Strachan 2006-11-16 17:24:56 UTC
40 Euros to anybody that fixes this within the next month, verified by at least two people.

If that isn't an incentive to properly fix one of the top-25 KDE bugs, what is?
Comment 56 Jesse Barnes 2006-11-16 18:22:45 UTC
One workaround that seems to be working fairly well for me is to disable interval mail checking for my IMAP accounts.  It's as if there's no locking at all between the timer events and the regular IMAP activity, so if an interval check comes in while you're doing something to your mailbox you're likely to corrupt your index files and eventually fall over...  At any rate we know some data corruption is occurring, whether due to lack of locking or some other race.
Comment 57 Bram Schoenmakers 2006-11-24 09:36:56 UTC
*** Bug 137792 has been marked as a duplicate of this bug. ***
Comment 58 BJ Blanchard 2006-11-24 15:43:01 UTC
** Update **

I partially took Jesse's advice and increased the interval mail checking to 5 minutes instead of 1 - AND - perhaps more importantly I set KDE_NO_IPV6=1 - which increased the speed of mail checks dramatically.

These two actions have reduced the overall # of crashes by about 70%!! - with the added bonus that kmail responds much quicker - in the past a user would have to wait up to a minute for their Inbox to display during a mail check - now the longest wait I've seen is about 10 seconds, average is 1-2 seconds.

I know this doesn't "fix" the problem, but reducing frequency and increasing performance... not a bad deal.
Comment 59 Richard Hartmann 2006-11-28 18:36:41 UTC
For me, it seems to be a problem with selecting new messages before old ones are loaded completely with a bit of letting KMail sit around on its own for a while.

On a slow link, i can reproducably crash any version of KMail in the last few months by selecting a mail, selecting another and then selecting still another. Time gaps of perhaps 3-6 seconds in which the mail is _not_ loaded completely and thus not displayed.
Comment 60 Kevin Goeser 2006-12-05 07:50:50 UTC
On a glance, the stack traces seem similar to bug 116372 (?)
Just fyi...
Comment 61 Richard Johnson 2006-12-27 06:00:46 UTC
Kubuntu 6.10 (Edgy Eft)
KDE 3.5.5

Reported on Malone as well:
   https://bugs.launchpad.net/bugs/60153
# Similar backtrace

Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1248622928 (LWP 31563)]
[New Thread -1277248608 (LWP 31567)]
[New Thread -1268855904 (LWP 31566)]
[New Thread -1260463200 (LWP 31565)]
[New Thread -1252070496 (LWP 31564)]
[KCrash handler]
#6 0x20677542 in ?? ()
#7 0xb7e55a20 in KMail::ImapJob::slotGetNextMessage (this=0x87ebe78)
    at /build/buildd/kdepim-3.5.4/./kmail/imapjob.cpp:279
#8 0xb7e56799 in KMail::ImapJob::init (this=0x87ebe78,
    jt=KMail::FolderJob::tGetMessage, sets=@0xbfedae78, folder=0x0,
    msgList=@0x87ebea0) at /build/buildd/kdepim-3.5.4/./kmail/imapjob.cpp:216
#9 0xb7e57c5d in KMail::ImapJob::execute (this=0x87ebe78)
    at /build/buildd/kdepim-3.5.4/./kmail/imapjob.cpp:647
#10 0xb7e4ae8d in KMail::FolderJob::start (this=0x87da970)
    at /build/buildd/kdepim-3.5.4/./kmail/folderjob.cpp:109
#11 0xb7e2c9ad in KMMainWidget::slotMsgSelected (this=0x805fe18,
    msg=0x88d2218) at /build/buildd/kdepim-3.5.4/./kmail/kmmainwidget.cpp:1893
#12 0xb7e404b0 in KMMainWidget::qt_invoke (this=0x805fe18, _id=55,
    _o=0xbfedaf84) at ./kmmainwidget.moc:479
#13 0xb712582f in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#14 0xb7c9444e in KMHeaders::selected (this=0x83b5830, t0=0x88d2218)
    at ./kmheaders.moc:250
#15 0xb7c96499 in KMHeaders::highlightMessage (this=0x83b5830, lvi=0x8820b88,
    markitread=false) at /build/buildd/kdepim-3.5.4/./kmail/kmheaders.cpp:2020
#16 0xb7c9688c in KMHeaders::highlightMessage (this=0x83b5830, i=0x8820b88)
    at /build/buildd/kdepim-3.5.4/./kmail/kmheaders.cpp:2269
#17 0xb7ca3d96 in KMHeaders::qt_invoke (this=0x83b5830, _id=107,
    _o=0xbfedb0c8) at ./kmheaders.moc:295
#18 0xb712582f in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#19 0xb74c9d55 in QListView::currentChanged () from /usr/lib/libqt-mt.so.3
#20 0xb721fd8f in QListView::setCurrentItem () from /usr/lib/libqt-mt.so.3
#21 0xb7223b83 in QListView::contentsMousePressEventEx ()
   from /usr/lib/libqt-mt.so.3
#22 0xb7224288 in QListView::contentsMousePressEvent ()
   from /usr/lib/libqt-mt.so.3
#23 0xb5eec1c7 in KListView::contentsMousePressEvent ()
   from /usr/lib/libkdeui.so.4
#24 0xb7c969c9 in KMHeaders::contentsMousePressEvent (this=0x83b5830,
    e=0xbfedb41c) at /build/buildd/kdepim-3.5.4/./kmail/kmheaders.cpp:2181
#25 0xb725afb1 in QScrollView::viewportMousePressEvent ()
   from /usr/lib/libqt-mt.so.3
#26 0xb725c424 in QScrollView::eventFilter () from /usr/lib/libqt-mt.so.3
#27 0xb72246f6 in QListView::eventFilter () from /usr/lib/libqt-mt.so.3
#28 0xb7c98099 in KMHeaders::eventFilter (this=0x83b5830, o=0x83b4e58,
    e=0xbfedb9f0) at /build/buildd/kdepim-3.5.4/./kmail/kmheaders.cpp:241
#29 0xb7124ddc in QObject::activate_filters () from /usr/lib/libqt-mt.so.3
#30 0xb7124e5a in QObject::event () from /usr/lib/libqt-mt.so.3
#31 0xb715c533 in QWidget::event () from /usr/lib/libqt-mt.so.3
#32 0xb70bca98 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#33 0xb70bec56 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#34 0xb77e5fe2 in KApplication::notify () from /usr/lib/libkdecore.so.4
#35 0xb704f3fd in QApplication::sendSpontaneousEvent ()
   from /usr/lib/libqt-mt.so.3
#36 0xb704e062 in QETWidget::translateMouseEvent ()
   from /usr/lib/libqt-mt.so.3
#37 0xb704c14c in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#38 0xb7063320 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#39 0xb70d716e in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#40 0xb70d6f7e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#41 0xb70be641 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#42 0x0804a0fe in main (argc=-1208411128, argv=0xb799c1e0)
    at /build/buildd/kdepim-3.5.4/./kmail/main.cpp:110
#43 0xb78808cc in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#44 0x08049e61 in _start ()
Comment 62 Bram Schoenmakers 2006-12-31 02:46:40 UTC
*** Bug 139417 has been marked as a duplicate of this bug. ***
Comment 63 Tommi Tervo 2007-01-03 09:30:26 UTC
*** Bug 139541 has been marked as a duplicate of this bug. ***
Comment 64 Bram Schoenmakers 2007-01-09 14:28:46 UTC
*** Bug 139807 has been marked as a duplicate of this bug. ***
Comment 65 Tommi Tervo 2007-01-10 13:22:45 UTC
*** Bug 139848 has been marked as a duplicate of this bug. ***
Comment 66 Tommi Tervo 2007-01-10 13:23:42 UTC
*** Bug 139850 has been marked as a duplicate of this bug. ***
Comment 67 Rolf Offermanns 2007-01-13 23:09:47 UTC
Hi All!
Some information that might be helpful:

I added some debug message to ~KMMsgBase to dump the address of the object that is about to be deleted.

In slotGetNextMessage() I added a debug msg. to dump the address of the msg object that is retrieved in line 278.

Result:
The following messages occur while I read and delete new messages in my INBOX:

kmail: WARNING: Trying to close the selected folder inbox - ignoring!
kmail: ~KMMsgBase deleting object0x88a3ac8
[ repeats multiple times with different addresses ]
mail: slotGetNextMessage() msg: 0x88251a0, msgParent: 0x63003d

The 0x88251a0 is within the ~KMMsgBase message from above.

Can anyone tell me how to find out why (who) is trying to close the inbox while I am reading new mail in it? I will try to run kmail in kdbg and set a breakpoint at the line producing the warning.
Comment 68 Sebastian Reitenbach 2007-01-18 09:50:37 UTC
Hi, I just received a mail in my imap inbox, and I clicked on it, and kmail crashed. I run SuSE 10.1, and KDE 3.5.5, SuSE rpm's.

System configuration startup check disabled.

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1248500016 (LWP 23081)]
[New Thread -1278313584 (LWP 23085)]
[New Thread -1269920880 (LWP 23084)]
[New Thread -1261528176 (LWP 23083)]
[New Thread -1253135472 (LWP 23082)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#9  0x7a6c7568 in ?? ()
#10 0xb7e03cf0 in KMail::ImapJob::slotGetNextMessage ()
   from /opt/kde3/lib/libkmailprivate.so
#11 0xb7e04a79 in KMail::ImapJob::init () from /opt/kde3/lib/libkmailprivate.so
#12 0xb7e05f4d in KMail::ImapJob::execute ()
   from /opt/kde3/lib/libkmailprivate.so
#13 0xb7df911d in KMail::FolderJob::start ()
   from /opt/kde3/lib/libkmailprivate.so
#14 0xb7dd6d1d in KMMainWidget::slotMsgSelected ()
   from /opt/kde3/lib/libkmailprivate.so
#15 0xb7dea940 in KMMainWidget::qt_invoke ()
   from /opt/kde3/lib/libkmailprivate.so
#16 0xb73583cd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#17 0xb7c27eee in KMHeaders::selected () from /opt/kde3/lib/libkmailprivate.so
#18 0xb7c29f69 in KMHeaders::highlightMessage ()
   from /opt/kde3/lib/libkmailprivate.so
#19 0xb7c2a35c in KMHeaders::highlightMessage ()
   from /opt/kde3/lib/libkmailprivate.so
#20 0xb7c37886 in KMHeaders::qt_invoke () from /opt/kde3/lib/libkmailprivate.so
#21 0xb73583cd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0xb76a5c81 in QListView::currentChanged ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0xb743a11e in QListView::setCurrentItem ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0xb743d1bc in QListView::contentsMousePressEventEx ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0xb743dc44 in QListView::contentsMousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0xb6058627 in KListView::contentsMousePressEvent ()
   from /opt/kde3/lib/libkdeui.so.4
#27 0xb7c2a499 in KMHeaders::contentsMousePressEvent ()
   from /opt/kde3/lib/libkmailprivate.so
#28 0xb746fd31 in QScrollView::viewportMousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0xb746d07a in QScrollView::eventFilter ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0xb743af86 in QListView::eventFilter () from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0xb7c2bb69 in KMHeaders::eventFilter ()
   from /opt/kde3/lib/libkmailprivate.so
#32 0xb7357ccc in QObject::activate_filters ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0xb7357d3b in QObject::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0xb7390e3c in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0xb72f9647 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0xb72fa641 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#37 0xb79b61f2 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#38 0xb72990f7 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#39 0xb729801f in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0xb72a891a in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#41 0xb73100e0 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#42 0xb730ff76 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#43 0xb72f900f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#44 0x0804a0eb in QObject::checkConnectArgs ()
#45 0xbfc9a0e4 in ?? ()
#46 0xbfc9a2d0 in ?? ()
#47 0x00000000 in ?? ()
Comment 69 Bram Schoenmakers 2007-01-18 10:48:12 UTC
*** Bug 140225 has been marked as a duplicate of this bug. ***
Comment 70 Chris 2007-01-22 15:44:01 UTC
I had these two crashes with 1.9.5 recently when selecting and deleting several new mails after fresh kmail startup. Kmail stil wass checking imap folders. This problem occurs nearly each day.

[KCrash handler]
#9  0x28f1eeaf in ?? ()
#10 0x083c5ead in ?? ()
#11 0xb57df6bd in KMail::ImapJob::slotCopyMessageInfoData ()
   from /opt/kde3/lib/libkmailprivate.so
#12 0xb57e188e in KMail::ImapJob::qt_invoke ()
   from /opt/kde3/lib/libkmailprivate.so
#13 0xb6bc33cd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#14 0xb76b4d00 in KIO::Job::infoMessage () from /opt/kde3/lib/libkio.so.4
#15 0xb76b4d68 in KIO::SimpleJob::slotInfoMessage ()
   from /opt/kde3/lib/libkio.so.4
#16 0xb76fbbd0 in KIO::SimpleJob::qt_invoke () from /opt/kde3/lib/libkio.so.4
#17 0xb6bc33cd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0xb6bc3c12 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0xb76bfc13 in KIO::SlaveInterface::infoMessage ()
   from /opt/kde3/lib/libkio.so.4
#20 0xb770d745 in KIO::SlaveInterface::dispatch ()
   from /opt/kde3/lib/libkio.so.4
#21 0xb7716e2a in KIO::SlaveInterface::dispatch ()
   from /opt/kde3/lib/libkio.so.4
#22 0xb76c175c in KIO::Slave::gotInput () from /opt/kde3/lib/libkio.so.4
#23 0xb77072b0 in KIO::Slave::qt_invoke () from /opt/kde3/lib/libkio.so.4
#24 0xb6bc33cd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0xb6bc3f12 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0xb6efdea0 in QSocketNotifier::activated ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0xb6be15f0 in QSocketNotifier::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0xb6b64647 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0xb6b654f9 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0xb72221f2 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#31 0xb6b58e01 in QEventLoop::activateSocketNotifiers ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#32 0xb6b13b04 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0xb6b7b0e0 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0xb6b7af76 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0xb6b6400f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0x08058c12 in QWidget::setUpdatesEnabled ()
#37 0xbfa0669c in ?? ()
#38 0x00000001 in ?? ()
#39 0x00000001 in ?? ()
#40 0x00000000 in ?? ()


[KCrash handler]
#6  0xb5830422 in KMFolderImap::deleteMessage ()
   from /opt/kde3/lib/libkmailprivate.so
#7  0xb5830a57 in KMFolderImap::take () from /opt/kde3/lib/libkmailprivate.so
#8  0xb57956b8 in FolderStorage::take () from /opt/kde3/lib/libkmailprivate.so
#9  0xb5830303 in KMFolderImap::take () from /opt/kde3/lib/libkmailprivate.so
#10 0xb5778c89 in KMFolder::take () from /opt/kde3/lib/libkmailprivate.so
#11 0xb58343ad in KMFolderImap::addMsgQuiet ()
   from /opt/kde3/lib/libkmailprivate.so
#12 0xb5835cc3 in KMFolderImap::qt_invoke ()
   from /opt/kde3/lib/libkmailprivate.so
#13 0xb6d16edd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#14 0xb590ab21 in KMail::FolderJob::messageCopied ()
   from /opt/kde3/lib/libkmailprivate.so
#15 0xb59130cf in KMail::ImapJob::slotCopyMessageResult ()
   from /opt/kde3/lib/libkmailprivate.so
#16 0xb5915817 in KMail::ImapJob::qt_invoke ()
   from /opt/kde3/lib/libkmailprivate.so
#17 0xb6d16edd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0xb77ffd91 in KIO::Job::result () from /opt/kde3/lib/libkio.so.4
#19 0xb7848f1d in KIO::Job::emitResult () from /opt/kde3/lib/libkio.so.4
#20 0xb7856bae in KIO::SimpleJob::slotFinished ()
   from /opt/kde3/lib/libkio.so.4
#21 0xb7848ab1 in KIO::SimpleJob::qt_invoke () from /opt/kde3/lib/libkio.so.4
#22 0xb6d16edd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0xb6d17b3d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0xb77fbb3c in KIO::SlaveInterface::finished ()
   from /opt/kde3/lib/libkio.so.4
#25 0xb7855555 in KIO::SlaveInterface::dispatch ()
   from /opt/kde3/lib/libkio.so.4
#26 0xb78692da in KIO::SlaveInterface::dispatch ()
   from /opt/kde3/lib/libkio.so.4
#27 0xb780ffec in KIO::Slave::gotInput () from /opt/kde3/lib/libkio.so.4
#28 0xb784e3c0 in KIO::Slave::qt_invoke () from /opt/kde3/lib/libkio.so.4
#29 0xb6d16edd in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0xb6d17a42 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0xb70505f0 in QSocketNotifier::activated ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#32 0xb6d350e0 in QSocketNotifier::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0xb6cb7ec7 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0xb6cb8c91 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0xb7372bd3 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#36 0xb6cacb04 in QEventLoop::activateSocketNotifiers ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#37 0xb6c677d4 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#38 0xb6ccece8 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#39 0xb6cceb7e in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0xb6cb7a7f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#41 0x08058c02 in main ()
Comment 71 Andreas Winkelmann 2007-01-26 18:51:17 UTC
I have some more Crashes. System is OpenSUSE 10.2, KDE 3.5.5, KMail 1.9.5
It happens often after selecting the Next New Message. Either jumping into Folder or even already inside a Folder with "+".

This happens a few times a Day. Server is an Cyrus-IMAP on another Host. No SPAM or other Plugins in KMail are installed or better used.

---------------------------------------------------------------------
Überprüfung der Systemkonfiguration beim Start deaktiviert.

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1248250160 (LWP 4979)]
[New Thread -1280599152 (LWP 4983)]
[New Thread -1272206448 (LWP 4982)]
[New Thread -1263813744 (LWP 4981)]
[New Thread -1255421040 (LWP 4980)]
[KCrash handler]
#9  0x00000068 in ?? ()
#10 0xb7e40cf0 in KMail::ImapJob::slotGetNextMessage (this=0x9714650)
    at /usr/src/debug/kdepim-3.5.5/kmail/imapjob.cpp:279
#11 0xb7e41a79 in KMail::ImapJob::init (this=0x9714650, 
    jt=KMail::FolderJob::tGetMessage, sets=@0xbfa91938, folder=0x0, 
    msgList=@0x9714678) at /usr/src/debug/kdepim-3.5.5/kmail/imapjob.cpp:216
#12 0xb7e42f4d in KMail::ImapJob::execute (this=0x9714650)
    at /usr/src/debug/kdepim-3.5.5/kmail/imapjob.cpp:647
#13 0xb7e3611d in KMail::FolderJob::start (this=0xb703b1d0)
    at /usr/src/debug/kdepim-3.5.5/kmail/folderjob.cpp:109
#14 0xb7d55856 in KMFolderImap::doCreateJob (this=0x83e0078, msg=0x8c8e4b0, 
    jt=KMail::FolderJob::tGetMessage, folder=0x0, partSpecifier=@0xbfa919d8, 
    as=0x860d9e0) at /usr/src/debug/kdepim-3.5.5/kmail/kmfolderimap.cpp:1592
#15 0xb7cc2e1f in FolderStorage::createJob (this=0x83e0078, msg=0x8c8e4b0, 
    jt=KMail::FolderJob::tGetMessage, folder=0x0, partSpecifier=@0xbfa91a18, 
    as=0x860d9e0) at /usr/src/debug/kdepim-3.5.5/kmail/folderstorage.cpp:564
#16 0xb7ca4915 in KMFolder::createJob (this=0x83dff00, msg=0x8c8e4b0, 
    jt=KMail::FolderJob::tGetMessage, folder=0x0, partSpecifier=@0xbfa91a68, 
    as=0x860d9e0) at /usr/src/debug/kdepim-3.5.5/kmail/kmfolder.cpp:342
#17 0xb7e13c6b in KMMainWidget::slotMsgSelected (this=0x81c19d0, msg=0x8c8e4b0)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmmainwidget.cpp:1914
#18 0xb7e27940 in KMMainWidget::qt_invoke (this=0x81c19d0, _id=55, 
    _o=0xbfa91b14) at /usr/src/debug/kdepim-3.5.5/kmail/kmmainwidget.moc:481
#19 0xb73953cd in QObject::activate_signal (this=0x81da2a8, clist=0x85d5e48, 
    o=0xbfa91b14) at kernel/qobject.cpp:2356
#20 0xb7c64eee in KMHeaders::selected (this=0x81da2a8, t0=0x8c8e4b0)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.moc:250
#21 0xb7c66f69 in KMHeaders::highlightMessage (this=0x81da2a8, lvi=0x9271800, 
    markitread=false) at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.cpp:2020
#22 0xb7c6735c in KMHeaders::highlightMessage (this=0x81da2a8, i=0x9271800)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.cpp:2269
#23 0xb7c74886 in KMHeaders::qt_invoke (this=0x81da2a8, _id=107, _o=0xbfa91c54)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.moc:295
#24 0xb73953cd in QObject::activate_signal (this=0x81da2a8, clist=0x81dab50, 
    o=0xbfa91c54) at kernel/qobject.cpp:2356
#25 0xb76e2c81 in QListView::currentChanged (this=0x81da2a8, t0=0x9271800)
    at .moc/release-shared-mt/moc_qlistview.cpp:328
#26 0xb747711e in QListView::setCurrentItem (this=0x81da2a8, i=0x9271800)
    at widgets/qlistview.cpp:5476
#27 0xb7c67d44 in KMHeaders::setCurrentMsg (this=0x81da2a8, cur=18039)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.cpp:1595
#28 0xb7c63f64 in KMHeaders::nextUnreadMessage (this=0x81da2a8, 
    acceptCurrent=false)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.cpp:1935
#29 0xb7e10b10 in KMMainWidget::slotNextUnreadMessage (this=0x81c19d0)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmmainwidget.cpp:2102
#30 0xb7e2831f in KMMainWidget::qt_invoke (this=0x81c19d0, _id=159, 
    _o=0xbfa91e18) at /usr/src/debug/kdepim-3.5.5/kmail/kmmainwidget.moc:585
#31 0xb73953cd in QObject::activate_signal (this=0x864d300, clist=0x864d538, 
    o=0xbfa91e18) at kernel/qobject.cpp:2356
#32 0xb739600d in QObject::activate_signal (this=0x864d300, signal=2)
    at kernel/qobject.cpp:2325
#33 0xb608cb59 in KAction::activated () from /opt/kde3/lib/libkdeui.so.4
#34 0xb60c1fd2 in KAction::slotActivated () from /opt/kde3/lib/libkdeui.so.4
#35 0xb618d45f in KAction::qt_invoke () from /opt/kde3/lib/libkdeui.so.4
#36 0xb73953cd in QObject::activate_signal (this=0x8686980, clist=0x88acbf0, 
    o=0xbfa91f08) at kernel/qobject.cpp:2356
#37 0xb739600d in QObject::activate_signal (this=0x8686980, signal=2)
    at kernel/qobject.cpp:2325
#38 0xb790f099 in KAccelPrivate::menuItemActivated ()
   from /opt/kde3/lib/libkdecore.so.4
#39 0xb795ea17 in KAccelPrivate::emitActivatedSignal ()
   from /opt/kde3/lib/libkdecore.so.4
#40 0xb79a556e in KAccelPrivate::eventFilter ()
   from /opt/kde3/lib/libkdecore.so.4
#41 0xb7394ccc in QObject::activate_filters (this=0x81c7488, e=0xbfa9229c)
    at kernel/qobject.cpp:903
#42 0xb7394d3b in QObject::event (this=0x81c7488, e=0xbfa9229c)
    at kernel/qobject.cpp:735
#43 0xb73cde3c in QWidget::event (this=0x81c7488, e=0xbfa9229c)
    at kernel/qwidget.cpp:4678
#44 0xb7489232 in QMainWindow::event (this=0x81c7488, e=0xbfa9229c)
    at widgets/qmainwindow.cpp:1687
#45 0xb7336647 in QApplication::internalNotify (this=0xbfa92644, 
    receiver=0x81c7488, e=0xbfa9229c) at kernel/qapplication.cpp:2636
#46 0xb7337968 in QApplication::notify (this=0xbfa92644, receiver=0x81da2a8, 
    e=0xbfa9229c) at kernel/qapplication.cpp:2393
#47 0xb79f31f2 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#48 0xb796b339 in KAccelEventHandler::x11Event ()
   from /opt/kde3/lib/libkdecore.so.4
#49 0xb79f1623 in KApplication::x11EventFilter ()
   from /opt/kde3/lib/libkdecore.so.4
#50 0xb72c5c14 in qt_x11EventFilter (ev=0xbfa92568)
    at kernel/qapplication_x11.cpp:389
#51 0xb72d4a73 in QApplication::x11ProcessEvent (this=0xbfa92644, 
    event=0xbfa92568) at kernel/qapplication_x11.cpp:3346
#52 0xb72e591a in QEventLoop::processEvents (this=0x8066338, 
    flags=<value optimized out>) at kernel/qeventloop_x11.cpp:192
#53 0xb734d0e0 in QEventLoop::enterLoop (this=0x8066338)
    at kernel/qeventloop.cpp:198
#54 0xb734cf76 in QEventLoop::exec (this=0x8066338)
    at kernel/qeventloop.cpp:145
#55 0xb733600f in QApplication::exec (this=0xbfa92644)
    at kernel/qapplication.cpp:2759
#56 0x0804a0eb in main (argc=147383472, argv=0x0)
    at /usr/src/debug/kdepim-3.5.5/kmail/main.cpp:110
#57 0xb6f25f9c in __libc_start_main () from /lib/libc.so.6
#58 0x08049e61 in _start ()

---------------------------------------------------------------------

Überprüfung der Systemkonfiguration beim Start deaktiviert.

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1248196912 (LWP 10090)]
[New Thread -1280545904 (LWP 10094)]
[New Thread -1272153200 (LWP 10093)]
[New Thread -1263760496 (LWP 10092)]
[New Thread -1255367792 (LWP 10091)]
[KCrash handler]
#9  0x000000da in ?? ()
#10 0xb7e4dcf0 in KMail::ImapJob::slotGetNextMessage (this=0x8a86710)
    at /usr/src/debug/kdepim-3.5.5/kmail/imapjob.cpp:279
#11 0xb7e4ea79 in KMail::ImapJob::init (this=0x8a86710, 
    jt=KMail::FolderJob::tGetMessage, sets=@0xbfe4c5b8, folder=0x0, 
    msgList=@0x8a86738) at /usr/src/debug/kdepim-3.5.5/kmail/imapjob.cpp:216
#12 0xb7e4ff4d in KMail::ImapJob::execute (this=0x8a86710)
    at /usr/src/debug/kdepim-3.5.5/kmail/imapjob.cpp:647
#13 0xb7e4311d in KMail::FolderJob::start (this=0xb70481d0)
    at /usr/src/debug/kdepim-3.5.5/kmail/folderjob.cpp:109
#14 0xb7e20d1d in KMMainWidget::slotMsgSelected (this=0x81e35f0, msg=0x891e3b0)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmmainwidget.cpp:1917
#15 0xb7e34940 in KMMainWidget::qt_invoke (this=0x81e35f0, _id=55, 
    _o=0xbfe4c6c4) at /usr/src/debug/kdepim-3.5.5/kmail/kmmainwidget.moc:481
#16 0xb73a23cd in QObject::activate_signal (this=0x81d3fe0, clist=0x85c7d60, 
    o=0xbfe4c6c4) at kernel/qobject.cpp:2356
#17 0xb7c71eee in KMHeaders::selected (this=0x81d3fe0, t0=0x891e3b0)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.moc:250
#18 0xb7c73f69 in KMHeaders::highlightMessage (this=0x81d3fe0, lvi=0x88aa2b8, 
    markitread=false) at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.cpp:2020
#19 0xb7c7435c in KMHeaders::highlightMessage (this=0x81d3fe0, i=0x88aa2b8)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.cpp:2269
#20 0xb7c81886 in KMHeaders::qt_invoke (this=0x81d3fe0, _id=107, _o=0xbfe4c804)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.moc:295
#21 0xb73a23cd in QObject::activate_signal (this=0x81d3fe0, clist=0x81d4888, 
    o=0xbfe4c804) at kernel/qobject.cpp:2356
#22 0xb76efc81 in QListView::currentChanged (this=0x81d3fe0, t0=0x88aa2b8)
    at .moc/release-shared-mt/moc_qlistview.cpp:328
#23 0xb748411e in QListView::setCurrentItem (this=0x81d3fe0, i=0x88aa2b8)
    at widgets/qlistview.cpp:5476
#24 0xb7c74d44 in KMHeaders::setCurrentMsg (this=0x81d3fe0, cur=7383)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.cpp:1595
#25 0xb7c70f64 in KMHeaders::nextUnreadMessage (this=0x81d3fe0, 
    acceptCurrent=false)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmheaders.cpp:1935
#26 0xb7e1db10 in KMMainWidget::slotNextUnreadMessage (this=0x81e35f0)
    at /usr/src/debug/kdepim-3.5.5/kmail/kmmainwidget.cpp:2102
#27 0xb7e3531f in KMMainWidget::qt_invoke (this=0x81e35f0, _id=159, 
    _o=0xbfe4c9c8) at /usr/src/debug/kdepim-3.5.5/kmail/kmmainwidget.moc:585
#28 0xb73a23cd in QObject::activate_signal (this=0x863c970, clist=0x863cba8, 
    o=0xbfe4c9c8) at kernel/qobject.cpp:2356
#29 0xb73a300d in QObject::activate_signal (this=0x863c970, signal=2)
    at kernel/qobject.cpp:2325
#30 0xb6099b59 in KAction::activated () from /opt/kde3/lib/libkdeui.so.4
#31 0xb60cefd2 in KAction::slotActivated () from /opt/kde3/lib/libkdeui.so.4
#32 0xb619a45f in KAction::qt_invoke () from /opt/kde3/lib/libkdeui.so.4
#33 0xb73a23cd in QObject::activate_signal (this=0x86762f8, clist=0x875a958, 
    o=0xbfe4cab8) at kernel/qobject.cpp:2356
#34 0xb73a300d in QObject::activate_signal (this=0x86762f8, signal=2)
    at kernel/qobject.cpp:2325
#35 0xb791c099 in KAccelPrivate::menuItemActivated ()
   from /opt/kde3/lib/libkdecore.so.4
#36 0xb796ba17 in KAccelPrivate::emitActivatedSignal ()
   from /opt/kde3/lib/libkdecore.so.4
#37 0xb79b256e in KAccelPrivate::eventFilter ()
   from /opt/kde3/lib/libkdecore.so.4
#38 0xb73a1ccc in QObject::activate_filters (this=0x81c3f58, e=0xbfe4ce4c)
    at kernel/qobject.cpp:903
#39 0xb73a1d3b in QObject::event (this=0x81c3f58, e=0xbfe4ce4c)
    at kernel/qobject.cpp:735
#40 0xb73dae3c in QWidget::event (this=0x81c3f58, e=0xbfe4ce4c)
    at kernel/qwidget.cpp:4678
#41 0xb7496232 in QMainWindow::event (this=0x81c3f58, e=0xbfe4ce4c)
    at widgets/qmainwindow.cpp:1687
#42 0xb7343647 in QApplication::internalNotify (this=0xbfe4d1f4, 
    receiver=0x81c3f58, e=0xbfe4ce4c) at kernel/qapplication.cpp:2636
#43 0xb7344968 in QApplication::notify (this=0xbfe4d1f4, receiver=0x860ae00, 
    e=0xbfe4ce4c) at kernel/qapplication.cpp:2393
#44 0xb7a001f2 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#45 0xb7978339 in KAccelEventHandler::x11Event ()
   from /opt/kde3/lib/libkdecore.so.4
#46 0xb79fe623 in KApplication::x11EventFilter ()
   from /opt/kde3/lib/libkdecore.so.4
#47 0xb72d2c14 in qt_x11EventFilter (ev=0xbfe4d118)
    at kernel/qapplication_x11.cpp:389
#48 0xb72e1a73 in QApplication::x11ProcessEvent (this=0xbfe4d1f4, 
    event=0xbfe4d118) at kernel/qapplication_x11.cpp:3346
#49 0xb72f291a in QEventLoop::processEvents (this=0x8066338, 
    flags=<value optimized out>) at kernel/qeventloop_x11.cpp:192
#50 0xb735a0e0 in QEventLoop::enterLoop (this=0x8066338)
    at kernel/qeventloop.cpp:198
#51 0xb7359f76 in QEventLoop::exec (this=0x8066338)
    at kernel/qeventloop.cpp:145
#52 0xb734300f in QApplication::exec (this=0xbfe4d1f4)
    at kernel/qapplication.cpp:2759
#53 0x0804a0eb in main (argc=143778736, argv=0x0)
    at /usr/src/debug/kdepim-3.5.5/kmail/main.cpp:110
#54 0xb6f32f9c in __libc_start_main () from /lib/libc.so.6
#55 0x08049e61 in _start ()

---------------------------------------------------------------------

I have some more of them.
Comment 72 Thomas McGuire 2007-02-05 13:45:32 UTC
*** Bug 141217 has been marked as a duplicate of this bug. ***
Comment 73 Jeffrey 2007-02-21 15:52:08 UTC
Kubuntu 6.06 running KDE 3.5.5

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1242302240 (LWP 5396)]
[New Thread -1281926224 (LWP 5459)]
[New Thread -1273533520 (LWP 5458)]
[New Thread -1265140816 (LWP 5457)]
[New Thread -1256748112 (LWP 5456)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb553716a in KMFolder::open () from /usr/lib/libkmailprivate.so
#7  0xb56aec35 in KMail::ImapJob::init () from /usr/lib/libkmailprivate.so
#8  0xb56afde5 in KMail::ImapJob::execute () from /usr/lib/libkmailprivate.so
#9  0xb56a4339 in KMail::FolderJob::start () from /usr/lib/libkmailprivate.so
#10 0xb55d9870 in KMFolderImap::doCreateJob ()
   from /usr/lib/libkmailprivate.so
#11 0xb555643d in FolderStorage::createJob () from /usr/lib/libkmailprivate.so
#12 0xb553ac4b in KMFolder::createJob () from /usr/lib/libkmailprivate.so
#13 0xb568bd08 in KMMainWidget::slotMsgSelected ()
   from /usr/lib/libkmailprivate.so
#14 0xb569a07f in KMMainWidget::qt_invoke () from /usr/lib/libkmailprivate.so
#15 0xb6ff4051 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#16 0xb54fb07c in KMHeaders::selected () from /usr/lib/libkmailprivate.so
#17 0xb5503848 in KMHeaders::highlightMessage ()
   from /usr/lib/libkmailprivate.so
#18 0xb5503c32 in KMHeaders::highlightMessage ()
   from /usr/lib/libkmailprivate.so
#19 0xb550a48b in KMHeaders::qt_invoke () from /usr/lib/libkmailprivate.so
#20 0xb6ff4051 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#21 0xb739d955 in QListView::currentChanged () from /usr/lib/libqt-mt.so.3
#22 0xb70f4aec in QListView::setCurrentItem () from /usr/lib/libqt-mt.so.3
#23 0xb550279f in KMHeaders::selectPrevMessage ()
   from /usr/lib/libkmailprivate.so
#24 0xb550283b in KMHeaders::prevMessage () from /usr/lib/libkmailprivate.so
#25 0xb5683e8b in KMMainWidget::slotPrevMessage ()
   from /usr/lib/libkmailprivate.so
#26 0xb569aaa3 in KMMainWidget::qt_invoke () from /usr/lib/libkmailprivate.so
#27 0xb6ff4051 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#28 0xb6ff4aec in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#29 0xb67d2607 in KAction::activated () from /usr/lib/libkdeui.so.4
#30 0xb68056a2 in KAction::slotActivated () from /usr/lib/libkdeui.so.4
#31 0xb68b48d3 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4
#32 0xb6ff4051 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#33 0xb6ff4aec in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#34 0xb75cf987 in KAccelPrivate::menuItemActivated ()
   from /usr/lib/libkdecore.so.4
#35 0xb7601354 in KAccelPrivate::emitActivatedSignal ()
   from /usr/lib/libkdecore.so.4
#36 0xb7696cb3 in KAccelPrivate::eventFilter () from /usr/lib/libkdecore.so.4
#37 0xb6ff119a in QObject::activate_filters () from /usr/lib/libqt-mt.so.3
#38 0xb6ff1218 in QObject::event () from /usr/lib/libqt-mt.so.3
#39 0xb702e742 in QWidget::event () from /usr/lib/libqt-mt.so.3
#40 0xb71008fa in QMainWindow::event () from /usr/lib/libqt-mt.so.3
#41 0xb6f89f3e in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#42 0xb6f8a2d6 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#43 0xb769c1cd in KApplication::notify () from /usr/lib/libkdecore.so.4
#44 0xb768ad87 in KAccelEventHandler::x11Event ()
   from /usr/lib/libkdecore.so.4
#45 0xb769f3fa in KApplication::x11EventFilter ()
   from /usr/lib/libkdecore.so.4
#46 0xb6f07457 in qt_set_x11_event_filter () from /usr/lib/libqt-mt.so.3
#47 0xb6f1474c in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#48 0xb6f2e4db in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#49 0xb6fa2a2f in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#50 0xb6fa2952 in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#51 0xb6f88a4d in QApplication::exec () from /usr/lib/libqt-mt.so.3
#52 0x0805a841 in ?? ()
#53 0xbfd7c4d0 in ?? ()
#54 0x00000001 in ?? ()
#55 0x00000001 in ?? ()
#56 0x00000000 in ?? ()
Comment 74 Michael Seiwert 2007-02-21 16:15:00 UTC
The last bt seems to be different bug, as it differs completly from the original one. Please open a new bug report.  
Comment 75 Bram Schoenmakers 2007-03-03 21:46:14 UTC
*** Bug 140992 has been marked as a duplicate of this bug. ***
Comment 76 Andrew Vaughan 2007-03-03 22:52:20 UTC
This bug is also reported in the debian bts at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=398182
Comment 77 Thomas McGuire 2007-03-08 12:35:07 UTC
*** Bug 142678 has been marked as a duplicate of this bug. ***
Comment 78 Tommi Tervo 2007-03-15 12:59:07 UTC
*** Bug 143002 has been marked as a duplicate of this bug. ***
Comment 79 Stephan Kulow 2007-03-16 13:05:09 UTC
The selected folder is closed and on reopen the current messages are deleted. There is code that tries to prevent this, but I'm afraid it does not work.
The mOpenCount is decresed, which will cause later ::open calls to think the folder is closed - even though the file is still open.

Index: kmfolderimap.cpp
===================================================================
--- kmfolderimap.cpp    (Revision 642736)
+++ kmfolderimap.cpp    (Arbeitskopie)
@@ -109,13 +109,13 @@
 void KMFolderImap::close(bool aForced)
 {
   if (mOpenCount <= 0 ) return;
-  if (mOpenCount > 0) mOpenCount--;
-  if (mOpenCount > 0 && !aForced) return;
+  if (mOpenCount - 1 > 0 && !aForced) return;
   if (isSelected() && !aForced) {
       kdWarning(5006) << "Trying to close the selected folder " << label() <<
           " - ignoring!" << endl;
       return;
   }
+  if (mOpenCount > 0) mOpenCount--;
   // FIXME is this still needed?
   if (mAccount)
     mAccount->ignoreJobsForFolder( folder() );
Comment 80 Stephan Kulow 2007-03-16 15:40:38 UTC
SVN commit 643194 by coolo:

Till says my patch looks correct for the recovery path
CCBUG: 126715


 M  +3 -3      kmfolderimap.cpp  


--- branches/KDE/3.5/kdepim/kmail/kmfolderimap.cpp #643193:643194
@@ -109,13 +109,13 @@
 void KMFolderImap::close(bool aForced)
 {
   if (mOpenCount <= 0 ) return;
-  if (mOpenCount > 0) mOpenCount--;
-  if (mOpenCount > 0 && !aForced) return;
+  if (mOpenCount - 1 > 0 && !aForced) return;
   if (isSelected() && !aForced) {
       kdWarning(5006) << "Trying to close the selected folder " << label() <<
-          " - ignoring!" << endl;
+        " - ignoring! " << kdBacktrace() << endl;
       return;
   }
+  if (mOpenCount > 0) mOpenCount--;
   // FIXME is this still needed?
   if (mAccount)
     mAccount->ignoreJobsForFolder( folder() );
Comment 81 Michael Seiwert 2007-03-18 13:58:37 UTC
First of all thank you for working on this bug!

Could someone with kmail knowledge please have a look at bug 141234 and check if the crash described in this bug is somewhat related to this one. 
(#16 0xb7cec728 in KMFolderMbox::close (this=0x8233cc8, aForced=true) )

Comment 82 BJ Blanchard 2007-03-19 15:36:51 UTC
Thanks Stephan!  I will apply your patch and test..  with 60 heavy IMAP users and this crash occuring 5-10 times per day I should be able to see a change fairly soon.  Will post back when I know more.

BJ.
Comment 83 Stephan Kulow 2007-03-21 07:57:46 UTC
SVN commit 644873 by coolo:

fixing imap folder reference counting for real
BUG: 126715


 M  +1 -0      kmailicalifaceimpl.cpp  
 M  +4 -4      kmcomposewin.cpp  
 M  +10 -7     kmfolderimap.cpp  
 M  +6 -0      kmheaders.cpp  
 M  +12 -1     kmmainwidget.cpp  
 M  +1 -0      kmmainwidget.h  


--- branches/KDE/3.5/kdepim/kmail/kmailicalifaceimpl.cpp #644872:644873
@@ -555,6 +555,7 @@
 #endif
     }
   }
+  f->close();
   return aMap;
 }
 
--- branches/KDE/3.5/kdepim/kmail/kmcomposewin.cpp #644872:644873
@@ -3928,12 +3928,11 @@
   if ( imapTheFolder && imapTheFolder->noContent() )
     imapTheFolder = 0;
 
-  if ( theFolder == 0 ) {
+  if ( theFolder == 0 )
     theFolder = ( mSaveIn==KMComposeWin::Drafts ?
                   kmkernel->draftsFolder() : kmkernel->templatesFolder() );
-  } else {
-    theFolder->open();
-  }
+
+  theFolder->open();
   kdDebug(5006) << k_funcinfo << "theFolder=" << theFolder->name() << endl;
   if ( imapTheFolder )
     kdDebug(5006) << k_funcinfo << "imapTheFolder=" << imapTheFolder->name() << endl;
@@ -3951,6 +3950,7 @@
     (static_cast<KMFolderImap*>( imapTheFolder->storage() ))->getFolder();
   }
 
+  theFolder->close();
   return sentOk;
 }
 
--- branches/KDE/3.5/kdepim/kmail/kmfolderimap.cpp #644872:644873
@@ -695,7 +695,6 @@
         KMFolderImap* f = static_cast<KMFolderImap*> ( fld->storage() );
         f->initializeFrom( this, mAccount->addPathToNamespace( name ),
             "inode/directory" );
-        f->close();
         if ( !mAccount->listOnlyOpenFolders() )
         {
           f->slotListResult( subfolderNames, subfolderPaths,
@@ -811,7 +810,6 @@
       KMFolder *fld = folder()->child()->createFolder(subfolderNames[i]);
       if ( fld ) {
         f = static_cast<KMFolderImap*> ( fld->storage() );
-        f->close();
         settingsChanged = true;
       } else {
         kdWarning(5006) << "can't create folder " << subfolderNames[i] << endl;
@@ -876,7 +874,6 @@
     if ( f )
     {
       f->folder()->setLabel( i18n("inbox") );
-      f->close();
     }
     kmkernel->imapFolderMgr()->contentsChanged();
   }
@@ -996,7 +993,6 @@
 {
   if (!mAccount) {
     emit folderComplete(this, false);
-    close();
     return;
   }
   KURL url = mAccount->getUrl();
@@ -1012,7 +1008,6 @@
     kdDebug(5006) << "KMFolderImap::checkValidity - got no connection" << endl;
     emit folderComplete(this, FALSE);
     mContentState = imapNoInformation;
-    close();
     return;
   } else if ( connectionState == ImapAccountBase::Connecting ) {
     // We'll wait for the connectionResult signal from the account. If it
@@ -1025,7 +1020,6 @@
   // Only check once at a time.
   if (mCheckingValidity) {
     kdDebug(5006) << "KMFolderImap::checkValidity - already checking" << endl;
-    close();
     return;
   }
   // otherwise we already are inside a mailcheck
@@ -1045,6 +1039,7 @@
   if ( account()->mailCheckProgressItem() ) {
     account()->mailCheckProgressItem()->setStatus( folder()->prettyURL() );
   }
+  open();
   ImapAccountBase::jobData jd( url.url() );
   KIO::SimpleJob *job = KIO::get(url, FALSE, FALSE);
   KIO::Scheduler::assignJobToSlave(mAccount->slave(), job);
@@ -1144,6 +1139,7 @@
       mMailCheckProgressItem->setCompletedItems( 0 );
     }
     reallyGetFolder(startUid);
+    close();
   }
 }
 
@@ -1178,6 +1174,7 @@
     mCheckFlags = TRUE;
   }
   checkValidity();
+  close();
 }
 
 
@@ -1189,7 +1186,6 @@
   {
     mContentState = imapNoInformation;
     emit folderComplete(this, FALSE);
-    close();
     return;
   }
   quiet(true);
@@ -1199,6 +1195,7 @@
       mMailCheckProgressItem->setStatus( i18n("Retrieving message status") );
     url.setPath(imapPath() + ";SECTION=UID FLAGS");
     KIO::SimpleJob *job = KIO::listDir(url, FALSE);
+    open();
     KIO::Scheduler::assignJobToSlave(mAccount->slave(), job);
     ImapAccountBase::jobData jd( url.url(), folder() );
     jd.cancellable = true;
@@ -1218,6 +1215,7 @@
     KIO::Scheduler::assignJobToSlave(mAccount->slave(), newJob);
     ImapAccountBase::jobData jd( url.url(), folder() );
     jd.cancellable = true;
+    open();
     mAccount->insertJob(newJob, jd);
     connect(newJob, SIGNAL(result(KIO::Job *)),
             this, SLOT(slotGetLastMessagesResult(KIO::Job *)));
@@ -1310,6 +1308,9 @@
   else sets = makeSets( (*it).items );
   mAccount->removeJob(it); // don't use *it below
 
+  if ( sets.isEmpty() )
+    close();
+
   // Now kick off the getting of envelopes for the new mails in the folder
   for (QStringList::Iterator i = sets.begin(); i != sets.end(); ++i)
   {
@@ -1812,6 +1813,7 @@
 
 void KMFolderImap::setStatus(QValueList<int>& ids, KMMsgStatus status, bool toggle)
 {
+  open();
   FolderStorage::setStatus(ids, status, toggle);
   if (mReadOnly) return;
 
@@ -1855,6 +1857,7 @@
     quiet( false );
     reallyGetFolder( QString::null );
   }
+  close();
 }
 
 //-----------------------------------------------------------------------------
--- branches/KDE/3.5/kdepim/kmail/kmheaders.cpp #644872:644873
@@ -15,6 +15,7 @@
 #include "kmmsgdict.h"
 #include "kmdebug.h"
 #include "kmfoldertree.h"
+#include "kmfolderimap.h"
 #include "folderjob.h"
 using KMail::FolderJob;
 #include "actionscheduler.h"
@@ -215,6 +216,11 @@
   {
     writeFolderConfig();
     writeSortOrder();
+    if (mFolder->folderType() == KMFolderTypeImap)
+    {
+      KMFolderImap *imap = static_cast<KMFolderImap*>(mFolder->storage());
+      imap->setSelected( false );
+    }
     mFolder->close();
   }
   writeConfig();
--- branches/KDE/3.5/kdepim/kmail/kmmainwidget.cpp #644872:644873
@@ -164,6 +164,7 @@
   mJob = 0;
   mConfig = config;
   mGUIClient = aGUIClient;
+  mOpenedImapFolder = false;
 
   mCustomReplyActionMenu = 0;
   mCustomReplyAllActionMenu = 0;
@@ -1875,8 +1876,11 @@
   folderSelected( mFolder );
   updateFolderMenu();
   // opened() before the getAndCheckFolder() in folderSelected
-  if ( mFolder && mFolder->folderType() == KMFolderTypeImap )
+  if ( mFolder && mFolder->folderType() == KMFolderTypeImap && mOpenedImapFolder )
+  {
     mFolder->close();
+    mOpenedImapFolder = false;
+  }
 }
 
 //-----------------------------------------------------------------------------
@@ -1930,7 +1934,13 @@
            this, SLOT( updateMarkAsReadAction() ) );
     disconnect( mFolder, SIGNAL( msgRemoved( KMFolder * ) ),
            this, SLOT( updateMarkAsReadAction() ) );
+    if ( mOpenedImapFolder && newFolder && mFolder->folderType() == KMFolderTypeImap ) {
+      mFolder->close();
+      KMFolderImap *imap = static_cast<KMFolderImap*>(mFolder->storage());
+      imap->setSelected( false );
+      mOpenedImapFolder = false;
   }
+  }
 
   mFolder = aFolder;
 
@@ -1944,6 +1954,7 @@
     if ( newFolder && !mFolder->noContent() )
     {
       imap->open(); // will be closed in the folderSelected slot
+      mOpenedImapFolder = true;
       // first get new headers before we select the folder
       imap->setSelected( true );
       connect( imap, SIGNAL( folderComplete( KMFolderImap*, bool ) ),
--- branches/KDE/3.5/kdepim/kmail/kmmainwidget.h #644872:644873
@@ -531,6 +531,7 @@
   KXMLGUIClient *mGUIClient;
 
   static QValueList<KMMainWidget*>* s_mainWidgetList;
+  bool mOpenedImapFolder;
 };
 
 #endif
Comment 84 Stephan Kulow 2007-03-21 08:09:43 UTC
BJ: please don't use the patch as inlined. This leaves too many folders open (but won't crash - granted), so better use the 3.5 branch as is for kmail. There are only fixes afaik
Comment 85 BJ Blanchard 2007-03-21 16:11:23 UTC
Stephan: I applied your patch from comment #80 to my 3.5.5 branch - and deployed to one of my servers (30 users) and although its only been 1.5 days on this version - there has been an 80% crash reduction overall - and the slotGetNextMessage crash has not recurred at all!

I looked at the latest 3.5 svn branch as compared to my current 3.5.5 branch and although there are alot of fixes - there are also new features such as templates and quotas.  The overall diff file between the two kmail branches was nearly 10,000 lines.. so I'm not too eager to jump just yet.

When you say this leaves too many folders open - are you refering to the patch from comment #80 or the set from #83?

With too many folders open - what is potential problem?

BJ.
Comment 86 Axel Roebel 2007-03-21 16:32:02 UTC
Hi,

I tried today to compile kdepim from the 3.5 branch 
and install only kmail into an
fedora kde 3.5.5 system. kmail started correctly and seemed to work, 
however kontakt crashed when opening kmail. 

To me is seems that 3.5.5 and 3.5.6 don't work properly together.
Comment 87 ratko 2007-03-21 19:13:42 UTC
Hi,

Months back I sent to the kdepim-devel an almost exact code change as patch #80 is. I did not have time to do a proper diff and to look if this breaks anything else, but it seems ok to me.

What I want to say is, that after this trivial change, kontact keeps running for a week and doesn't crash every hour. It shure is an improvement and I'm very glad Stephan found it too.

You might very well include it into the next release.
Comment 88 Stephan Kulow 2007-03-22 09:57:43 UTC
*** Bug 131086 has been marked as a duplicate of this bug. ***
Comment 89 Stephan Kulow 2007-03-22 10:14:28 UTC
*** Bug 112128 has been marked as a duplicate of this bug. ***
Comment 90 Stephan Kulow 2007-03-22 10:17:22 UTC
*** Bug 107914 has been marked as a duplicate of this bug. ***
Comment 91 Stephan Kulow 2007-03-23 14:24:17 UTC
*** Bug 143388 has been marked as a duplicate of this bug. ***
Comment 92 Tommi Tervo 2007-03-24 08:25:07 UTC
*** Bug 143405 has been marked as a duplicate of this bug. ***
Comment 93 BJ Blanchard 2007-04-09 15:54:24 UTC
Just a follow up to comment #85 - after a couple of weeks live with 60 users using the patch from comment #80 and this bug has ceased to be a problem.  So for those of you using 3.5.5 (or earlier?) you can safely deploy this patch. [Of course recommended path is moving to latest stable version with coolo's series of patches - but for us, and possibly others, this is not yet an option].

BJ.
Comment 94 Thomas McGuire 2007-04-23 13:57:17 UTC
*** Bug 144565 has been marked as a duplicate of this bug. ***
Comment 95 Tommi Tervo 2007-04-30 12:07:38 UTC
*** Bug 144865 has been marked as a duplicate of this bug. ***
Comment 96 Tommi Tervo 2007-08-30 12:12:59 UTC
*** Bug 149381 has been marked as a duplicate of this bug. ***
Comment 97 Thomas McGuire 2008-03-31 15:39:09 UTC
*** Bug 160149 has been marked as a duplicate of this bug. ***
Comment 98 Thomas McGuire 2008-07-25 12:34:26 UTC
*** Bug 167406 has been marked as a duplicate of this bug. ***
Comment 99 Christophe Giboudeaux 2008-08-05 13:36:49 UTC
*** Bug 167406 has been marked as a duplicate of this bug. ***
Comment 100 Christophe Giboudeaux 2008-08-05 13:37:23 UTC
Reopen due to bug 167406
Comment 101 Suzanne 2008-09-03 15:19:19 UTC
I am also getting a crash on startup.
Running SUSE11.

Konquerer web broser broken too plus a number of other KDE apps.

Error

KMail (kmail) crashed and caused the signal 11 (SIGSEGV)

[?1034h(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb48f36d0 (LWP 22440)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb64b249d in KCompositeJob::hasSubjobs () from /usr/lib/libkdecore.so.5
#7  0xb6ac3fc3 in KIO::TransferJob::slotFinished () from /usr/lib/libkio.so.5
#8  0xb6ac504b in KIO::TransferJob::qt_metacall () from /usr/lib/libkio.so.5
#9  0xb628b45a in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0xb628b9d2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#11 0xb6b6a2d7 in KIO::SlaveInterface::finished () from /usr/lib/libkio.so.5
#12 0xb6b6cdef in KIO::SlaveInterface::dispatch () from /usr/lib/libkio.so.5
#13 0xb6b6ab77 in KIO::SlaveInterface::dispatch () from /usr/lib/libkio.so.5
#14 0xb6b5e600 in KIO::Slave::gotInput () from /usr/lib/libkio.so.5
#15 0xb6b5e973 in KIO::Slave::qt_metacall () from /usr/lib/libkio.so.5
#16 0xb628b45a in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#17 0xb628b9d2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#18 0xb6a99597 in KIO::Connection::readyRead () from /usr/lib/libkio.so.5
#19 0xb6a9afd2 in ?? () from /usr/lib/libkio.so.5
#20 0xb6a9b626 in KIO::Connection::qt_metacall () from /usr/lib/libkio.so.5
#21 0xb628639b in QMetaCallEvent::placeMetaCall () from /usr/lib/libQtCore.so.4
#22 0xb6287f31 in QObject::event () from /usr/lib/libQtCore.so.4
#23 0xb54e1ecc in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#24 0xb54e831e in QApplication::notify () from /usr/lib/libQtGui.so.4
#25 0xb686639d in KApplication::notify () from /usr/lib/libkdeui.so.5
#26 0xb6279bc1 in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#27 0xb627a481 in QCoreApplicationPrivate::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#28 0xb62a238a in QEventDispatcherUNIX::processEvents ()
   from /usr/lib/libQtCore.so.4
#29 0xb556c0a2 in ?? () from /usr/lib/libQtGui.so.4
#30 0xb627833a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#31 0xb62784fa in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#32 0xb58e933f in QDialog::exec () from /usr/lib/libQtGui.so.4
#33 0xb7d6b755 in ?? () from /usr/lib/libkmailprivate.so.4
#34 0xb79b9724 in ?? () from /usr/lib/libkmailprivate.so.4
#35 0xb7bbd529 in KMKernel::openReader () from /usr/lib/libkmailprivate.so.4
#36 0xb7bcb274 in KMKernel::action () from /usr/lib/libkmailprivate.so.4
#37 0xb7bcc616 in KMKernel::handleCommandLine ()
   from /usr/lib/libkmailprivate.so.4
#38 0x08049d15 in _start ()
#0  0xffffe430 in __kernel_vsyscall ()
Comment 102 Raúl 2008-11-19 13:59:05 UTC
@Suzanne: your last comment with backtrace doesn't seem to be the same problem as the one detailed in this bug report, if you still experience it, please open another bug report.
Thanks.
Comment 103 ricreig 2010-08-04 18:54:42 UTC
After reading this bug report, I think there is a similarity between this and my bug report 

    * Bug 242056 - Segmentation fault in KMail

that I opened some time ago.   I still experience this bug repeatedly throughout the day, sometimes dozens of times, sometimes just 5 or 10, but always with GMail mail lists.   I have attached backtraces to that report with the several versions of Kontact/kdepim/Kmail that I have tried, from the one in openSuSE RC through GM and KDE:factory repo enabled and also 'clean'.
Comment 104 Myriam Schweingruber 2012-08-19 10:59:00 UTC
Thank you for your report. Kmail1 is currently unmaintained and the code has changed sufficiently in Kmail2 so the backtraces are not really useful anymore. Should you experience the same crash in Kmail 4.8.5 or later, please open a new report for Kmail2. Thank you for your understanding
Comment 105 Thomas Pollet 2012-08-19 11:19:15 UTC
please close this 4year old issue

On 19 August 2012 12:59, Myriam Schweingruber <myriam@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=126715
>
> Myriam Schweingruber <myriam@kde.org> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>              Status|REOPENED                    |RESOLVED
>          Resolution|---                         |UNMAINTAINED
>
> --- Comment #104 from Myriam Schweingruber <myriam@kde.org> ---
> Thank you for your report. Kmail1 is currently unmaintained and the code
> has
> changed sufficiently in Kmail2 so the backtraces are not really useful
> anymore.
> Should you experience the same crash in Kmail 4.8.5 or later, please open
> a new
> report for Kmail2. Thank you for your understanding
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 106 Allen Winter 2012-08-20 22:11:24 UTC
closing, as requested